#!/usr/bin/perl --

#┌─────────────────────────────────
#│ Maverica UPLoader v0.52 (2007/04/01)
#└─────────────────────────────────
$ver = 'Maverica UPLoader v0.52';
#

use CGI;
#============#
#	 設定	 #
#============#

# 投稿受理最大サイズ (bytes)
# → 例 : 102400 = 100KB
$CGI::POST_MAX = 1024 * 1024 * 100;
$UploadMax = 1024 * 1024 * 100;

$query = new CGI;

# 添付ファイルのアップロードに失敗したとき
#  0 : 添付ファイルは無視し、記事は受理する
#  1 : エラー表示して処理を中断する
$clip_err = 1;

#============#
#  設定完了	 #
#============#

print "Content-type: text/html\n";
print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Expires: Thu, 01 Dec 1994 16:00:00 GMT\n\n";

&decode;
&upprocess;
#----------------#
#  処理			 #
#----------------#
sub upprocess {
	# ファイルアップ処理
	if ($in{'UpFilePath'}){
		if (&UpFile){#ファイル指定あり
			&ok_end($origin_fname);
		}else{#エラー
			&error($err_msg);
		}
	}else{#ファイルなし
		&error($err_msg);
	}
	exit;
}

#--------------------#
#  アップロード		 #
#--------------------#
sub UpFile {
	local($macbin,$fname,$upfile);
	# ファイル取得
	my $fH = $query->upload('UpFilePath');

	$fname = $query->param('UpFilePath');
	
	# 処理
	$error="";
	$macbin=0;

	$tail =~ s/\r//g;
	$tail =~ s/\n//g;
	if ($tail =~/application\/x-macbinary/i) {
		$macbin=1;
	}

	$fname =~ tr/\"\x0D\x0A//d;
	#オリジナルファイル名
	@str = split(/\\/, $fname);
	$origin_fname = pop(@str);
 
	# 拡張子チェック
	my @fileInfos = split(/\./, $origin_fname);
	my $fileExt = pop(@fileInfos);

	if($fileExt =~ /^zip$/i) {
		$isSuccess = 1;
	}
	if($isSuccess == 0) {
		$err_msg = '許可されていない拡張子';
		return 0;
	}
	
	# ファイル読み込み
	while(read($fH, $buffer, 1024)){
		$upfile .= $buffer;
	}

	# マックバイナリ対策
	if ($macbin) {
		$length = substr($upfile,83,4);
		$length = unpack("%N",$length);
		$upfile = substr($upfile,128,$length);
	}

	# 添付データを書き込み
	$newFileName = 'upfile.zip';
	$outFile = "$in{'UpOutPath'}$newFileName";

	if (!open(OUT,"> $outFile")) {
		if ($clip_err) {
			$err_msg = '書き込み失敗';
			return 0;
		}
	}
	binmode(OUT);
	binmode(STDOUT);
	print OUT $upfile;
	close(OUT);

	return 1;

}


#--------------#
#  エラー処理  #
#--------------#
sub error {
	$returnPath = $in{'UpNextUrl'};
	print <<"EOM";
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<title>ファイルアップロードエラー</title>
</head>
<body bgcolor="#FFFFFF" onLoad="document.getElementById('upfile').submit();">
<form id="upfile" method="post" action="$returnPath">
<table border="0" cellpadding="0" width="600">
<tr>
	<td width="600" align="right" colspan="5" bgcolor="#FFFFFF">
		<input type="hidden" name="UpResult" value="ファイルのアップロードに失敗しました。($_[0])">
		<font color=red><B>ファイルのアップロードに失敗しました。($_[0])</B></font><br>
$hidden_str
	</td>
</tr>
</table>
</form>

</body>
</html>
EOM
	exit;
}

#--------------#
#  正常処理	   #
#--------------#
sub ok_end {
	$returnPath = $in{'UpNextUrl'};
	print <<"EOM";
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<title>ファイルアップロード</title>
</head>
<body bgcolor="#FFFFFF" onLoad="document.getElementById('upfile').submit();">
<form id="upfile" method="post" action="$returnPath">
<table border="0" cellpadding="0" width="600">
	<tr>
		<td align="right" bgcolor="#FFFFFF">
			<font color=red><B>アップロード中です。暫くお待ちください。</B></font><br>
			<input type="hidden" name="UpResult" value="">
			<input type="hidden" name="UpOrgFileName" value="$_[0]">
$hidden_str
			</td>
	</tr>
</table>
</form>

</body>
</html>
EOM
	exit;
}
#----------------#
#  デコード処理	 #
#----------------#
sub decode {
	@params = $query->param();
	if ($query->cgi_error) {
		my $err = $query->cgi_error;
		&error(1) if ($err);
	}

	$hidden_str = "";

	foreach $param (@params) {
		$key = $param;
		$val = $query->param($param);

		if ($param !~/FormUpFilePath/) {
			# タグ処理
			$val =~ s/&/&amp;/g;
			$val =~ s/"/&quot;/g;
			$val =~ s/</&lt;/g;
			$val =~ s/>/&gt;/g;
		}
		$in{$key} = $val;

		if ($key !~/FormUpFilePath/ and $key !~/FormUpOrgFileName/) {
			$hidden_str .= "<input type=\"hidden\" name=\"$key\" value=\"$val\">";
		}
	}
}


__END__

