<?php
set_time_limit(0);
require_once dirname(__FILE__).'/../../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
} else {

	require_once SYSTEM_INCLUDE_PATH.'data/parts.php';

	if(isset($_GET['type']) && PartsInfo::isActive($_GET['type'])) {

		$partsType = $_GET['type'];
		$tmpStr = ucfirst($partsType);
		require_once SYSTEM_INCLUDE_DATA_PATH.$partsType.'/'.$partsType.'_xml.php';
		eval('$xmlDb = new '.$tmpStr.'Xml($_SESSION[\'UserName\']);');

		$list = $xmlDb->getList(intval($_SESSION['DomainId']));

		$partsInfo = '';
		foreach($list as $info) {
			$partsInfo  .= "	<parts no=\"".$info->number."\">".htmlspecialchars($info->name===''?'no name':$info->name)."</parts>\n";
		}
	} else {
		header('HTTP/1.0 404 Not Found');
	}


	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
{$partsInfo}
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>