<?php
set_time_limit(0);
require_once dirname(__FILE__).'/../../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
} else {
	$itemInfo = '';
	if(isset($_GET['parent'])) {
		$typeIdList = explode('_', $_GET['parent'], 2);
		$parentType = intval($typeIdList[0]);
		$parentId = intval($typeIdList[1]);

		require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
		$itemData = new ItemData($_SESSION['UserName']);
		$selectItemList = $itemData->getTargetDispNoList(intval($_SESSION['DomainId']), $parentId, $parentType);
		ksort($selectItemList);
		foreach($selectItemList as $dispNo => $name) {
			$itemInfo  .= "	<item no=\"".$dispNo."\">".htmlspecialchars(trim($name)===''?'no name':$name)."</item>\n";
		}

	} else {
		header('HTTP/1.0 404 Not Found');
	}


	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
{$itemInfo}
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>