<?php
/**
 * 言語切り替え用文字列ファイル
 * 注意：タグは使えません。
 */
abstract class LanguageBase {

	//////////////////////
	// 単純文字列
	//////////////////////

	//言語設定
	const LANGUAGE_TYPE = 'ja';

	// 記号
	const ARROW_UP = '↑';
	const ARROW_DOWN = '↓';
	const MARK_PLUS = '＋';
	const MARK_MINUS = '－';
	const MARK_WAVE_DASH = '～';

	// 単語
	const ACCOUNT = 'アカウント';
	const ACCOUNT_DETAIL = 'アカウント詳細';
	const ACCOUNT_LIST = 'アカウント一覧';
	const ACCOUNT_MANAGER = 'アカウント管理';
	const ACTION_SETTING = '動作設定';
	const ADD = '追加';
	const ADD_PARENT_ITEM = '親アイテムを追加する';
	const ADD_PHOTO_GALLERY = '新規ﾌｫﾄｷﾞｬﾗﾘｰを追加する';
	const ADD_PHOTO_GALLERY_ITEM = 'ファイル追加';
	const ADD_SLIDER_ITEM = 'スライダーアイテム追加';
	const ADD_TARGET_ITEM = '操作対象を追加する';
	const ADMIN_SETTING = '管理者の設定';
	const ALL_COMMON_SETTING = '全体共通設定';
	const ALLOW = '矢印';
	const ALPHA_VALUE = 'アルファ値';
	const ANGLE = '度';
	const ARCHIVE = '再圧縮';
	const ARROW_COLOR = '矢印';
	const ASCENDING = '昇順';
	const AUTHORITY = '権限';
	const AUTO = '自動';
	const AUTO_GENERATE = '自動生成';
	const AUTO_PLAY = '自動再生';
	const AUTO_PLAY_IT = '自動再生する';
	const AUTO_REPLAY = '繰り返し再生';
	const AUTO_REPLAY_IT = '繰り返し再生する';
	const BACKGROUND = '背景';
	const BACKGROUND_COLOR = '背景色';
	const BACKGROUND_COLOR_ALPHA_VALUE = '背景色のアルファ値';
	const BACKGROUND_IMAGE = '背景画像';
	const BACKGROUND_IMAGE_PATH = 'パス';
	const BACKGROUND_SETTING = '背景画像の設定';
	const BASE_COLOR = '基本パーツ';
	const BASE_FILE = '基本ファイル';
	const BASE_SETTING = '基本設定';
	const BEAT = 'ビート';
	const BELONG = '所属';
	const BLOG_TMP_DETAIL_SETTING = 'ブログパーツテンプレート';
	const BLOG_TMP_SETTING = 'ブログパーツ用';
	const BLUE_EFFECT = 'スライドアニメーションぼかし効果';
	const BODY_AREA_SETTING = 'BODYエリア設定';
	const BODY_BG_SETTING = '背景設定';
	const BODY_TAG_SETTING = 'BODYタグ設定';
	const BOTTOM = '下';
	const BOTTOM_OF_DISPLAY_AREA = '画面下部';
	const BOTTOM_OF_PLAYER = 'プレイヤー下部';
	const BUTTON_ACTION_REGIST = 'ボタン動作登録';
	const BUTTON_ACTION_SETTING = 'ボタン動作設定';
	const BUTTON_IMAGE_BATCH_SETTING = 'ボタン画像の一括設定';
	const BUTTON_IMAGE_SETTING = 'ボタン画像の設定';
	const BUTTON_SETTING = 'ボタン画像の設定';
	const BUTTON_SIZE = 'ボタンサイズ';
	const CHANGE_BACKGROUND = '背景変更';
	const CHANGE_ITEM = '既存アイテム変更';
	const CHANGED_BACKGROUND_IMAGE = '変更後背景画像';
	const CHECK = '確認';
	const CMS_BANNER = 'CMSバナー';
	const COLOR = '色';
	const COLOR_SETTING = '配色';
	const CONTENTS = 'コンテンツ';
	const CONTENTS_FOOTER = 'コンテンツインナー下蓋';
	const CONTENTS_HEADER = 'コンテンツインナー上蓋';
	const CONTENTS_PATH = 'コンテンツパス';
	const COPY_CONTENTS = '登録内容をコピーする';
	const COPY_OPERATION = '操作内容をコピーする';
	const COPY_TO_TARGET_ITEM_NUMBER = 'コピー先操作対象アイテム番号';
	const CREATE = '新規登録';
	const CREATE_TYPE = '生成方法';
	const DELAY_TIME = '表示遅延時間';
	const DELETE = '削除';
	const DELETE_CONTENTS = '登録内容を削除する';
	const DELETE_TEMPLATE = 'テンプレートを削除';
	const DESCENDING = '降順';
	const DETAIL_MODE = '詳細設定モード';
	const DISPLAY = '表示する';
	const DISPLAY_DIRECTION = '表示方向';
	const DISPLAY_GRADATION = 'グラデーション表示する';
	const DISPLAY_LAYER = '表示階層';
	const DISPLAY_LAYER_LOWER = 'プレイヤーと背景画像の間';
	const DISPLAY_LAYER_UPPER = 'テキストとプレイヤーの間';
	const DISPLAY_NON = '表示しない';
	const DISPLAY_ORDER = '表示順';
	const DISPLAY_POSITION = '表示位置';
	const DISPLAY_SETTING = '表示設定';
	const DISPLAY_SIZE = '表示サイズ';
	const DISPLAY_TIME = '表示時間';
	const DIVIDE_NUMBER = '表示効果分割数';
	const DOMAIN_DETAIL = 'ドメイン(サイト)詳細';
	const DOMAIN_LIST = 'ドメイン(サイト)一覧';
	const DOMAIN_MANAGER = 'ドメイン（サイト）管理';
	const DOWNLOAD = 'ダウンロード';
	const DOWNLOAD_DETAIL_SETTING = '作成データのダウンロード設定';
	const EASY_MODE = '簡易設定モード';
	const EDIT = '編集';
	const EFFECT = '効果';
	const EFFECT_DISPLAY_TYPE = '効果の表示方法';
	const EFFECT_DISPLAY_TYPE_DIAGONAL = '斜め';
	const EFFECT_DISPLAY_TYPE_STRAIGHT = '直線';
	const EFFECT_SPEED = '効果速度';
	const EFFECT_START_UP = '上隅から';
	const EFFECT_START_DOWN = '下隅から';
	const EFFECT_START_CENTER = '中央から';
	const EFFECT_START_POSITION = '効果開始位置';
	const ENVIRONMENT_SETTING = '環境設定';
	const EQUALIZER = 'イコライザー';
	const FADE_IN = 'フェードイン';
	const FADEIN_SPEED = 'フェードイン速度';
	const FALL = 'フォール';
	const FILE_DOWNLOAD = 'ファイルダウンロード';
	const FILE_EXTENSION = '拡張子';
	const FILE_NAME_FIGURE_NUMBER = 'ファイル名桁数';
	const FINISH = '終了しました。';
	const FIXED_WITH_FONT = '等幅';
	const FLAG_BANNER = 'FLAGバナー';
	const FLAG_LOGO_POSITION = 'FLAGロゴ位置';
	const FLASH_AREA_BACKGROUND_COLOR = 'FLASHエリア背景色';
	const FLASH_AREA_SETTING = 'Flash表示エリア設定';
	const FLASH_AREA_SETTING_SETTING = 'FLASHエリア設定';
	const FLASH_DISPLAY_AREA_CONFIG = 'Flash表示サイズ設定';
	const FLV_PATH_SETTING = 'FLV動画パス指定（ストリーミング・DL）';
	const FLV_PLAYER_TYPE = '再生対象';
	const FLV_PLAYER_TYPE_FILE = 'コンテンツ';
	const FLV_PLAYER_TYPE_PLAY_LIST = 'プレイリスト';
	const FONT = 'フォント';
	const FONT_SIZE = 'フォントサイズ';
	const FOOTER = 'フッター';
	const FORMAT_SETTING = '書式設定';
	const FRAME_DISPLAY = '枠表示';
	const FRAME_INNER_COLOR = '枠内部色';
	const FRAME_OUTER_COLOR = '枠色';
	const GOTCHIC_FONT = 'ゴシック';
	const GRADATION_ALPHA_VALUE = 'グラデーションのアルファ値';
	const HEIGHT = '高さ';
	const HORIZON_SCROLLBAR = '横スクロールバー';
	const HORIZONTAL = '横';
	const HP_TMP_DETAIL_SETTING = 'ホームページ用テンプレート';
	const HP_TMP_SETTING = 'ホームページ用';
	const HTML_FILE = 'HTML';
	const IDENTIFICATION_ID = '識別用ID';
	const IFRAME_SETTING = 'iframeタグ設定';
	const IMAGE = '画像';
	const IMAGE_DISPLAY_SETTING = '画像表示設定';
	const IMPORT_SETTING = '取り込み設定';
	const INITIAL_BACKGROUND_IMAGE = '初期背景画像の設定';
	const INITIALIZE = '初期化';
	const INITIALIZE_TYPE = '初期化方法';
	const INNER_AREA_DESIGN_SETTING = '表示エリア内枠デザイン設定';
	const INPUT_PATY = 'パス入力';
	const INPUT_POSITION = '座標指定';
	const INPUT_VALUE = '値入力';
	const INSIDE_HIGHLIGHT = '内側ハイライト';
	const INSIDE_SHADOW = '内側影';
	const INVALID_TEMPLATE = '不正なテンプレート';
	const ITEM_CONFIG = 'アイテム設定';
	const ITEM_DISPLAY_TYPE = '表示対象';
	const ITEM_DISPLAY_TYPE_FILE = 'コンテンツ';
	const ITEM_DISPLAY_TYPE_PLAY_LIST = 'プレイリスト';
	const ITEM_LIST = 'アイテム一覧';
	const ITEM_NUMBER = 'アイテム番号';
	const ITEM_TYPE = 'アイテム種別';
	const LAYOUT = 'レイアウト';
	const LAYOUT_TYPE_0 = '中央揃え';
	const LAYOUT_TYPE_1 = '左寄せ';
	const LAYOUT_TYPE_2 = '右寄せ';
	const LEFT = '左';
	const LEFT_BOTTOM = '左下';
	const LEFT_TOP = '左上';
	const LINK_ITEM_LIST = 'リンクアイテム一覧';
	const LINK_ITEM_SETTING = 'リンクアイテムの詳細設定';
	const LINK_SETTING = 'リンク設定';
	const LOGIN = 'ログインする';
	const LOGOUT = 'ログアウト';
	const MAIN_AREA_DESIGN_SETTING = '表示エリア外枠デザイン設定';
	const MAKE_HELP = '作成ガイド';
	const MANUAL_GENERATE = '手動生成';
	const MARGIN_SETTING = 'マージン';
	const MAVERICA_BANNER = 'mavericaバナー';
	const MEMO = '備考';
	const MENU_SKIN = 'メニュースキン';
	const MILLIMETERS_SECOND = 'ミリ秒';
	const MINCHOU_FONT = '明朝';
	const MIRROR_EFFECT = '鏡面効果';
	const MOVE_SIZE = '移動幅';
	const MOVIE_BATCH_SETTING = '動画ファイルの一括設定';
	const MOVIE_SETTING = '動画ファイルの設定';
	const NAME = '名前';
	const NEWS_AREA_SETTING = 'お知らせエリアの設定';
	const NEWS_DETAIL_SETTING = 'お知らせ記事の設定';
	const NEWS_SETTING = 'お知らせ設定';
	const NEWS_TI_SETTING = 'お知らせ記事設定';
	const NEXT_PAGE = '次ページ';
	const NO_CHANGE = '変更なし';
	const NOT_AUTO_PLAY_IT = '自動再生しない';
	const NOT_AUTO_REPLAY_IT = '繰り返し再生しない';
	const NOT_DISPLAY_GRADATION = 'グラデーション表示しない';
	const NOT_REPEAT = '繰り返し再生しない';
	const NOT_SELECT = '指定無し';
	const NOT_USE_IT = '利用しない';
	const NOT_USE_PLAYER = '利用しない';
	const NOW_VERSION = '現在のバージョン';
	const NUMBER = '番号';
	const OPEN_OTHER_WINDOW = '別ウィンドウで開く';
	const OPERATION = '操作';
	const ORDER = '順番';
	const ORG_TMP_DETAIL_SETTING = 'ユーザーオリジナルテンプレート';
	const ORG_TMP_SETTING = 'ユーザーオリジナル';
	const OUTPATH_DETAIL_SETTING = '作成データの出力設定';
	const OUTPUT_PATH = '出力先';
	const OUTPUT_TARGET = '出力先';
	const OUTSIDE_HIGHLIGHT = '外側ハイライト';
	const OUTSIDE_LINK = '外部リンク';
	const OUTSIDE_SHADOW = '外側影';
	const PADDING = '外枠と内枠の間';
	const PADDING_SETTING = 'パディング';
	const PARAMETER_ERROR = 'パラメーターエラー';
	const PASSWORD = 'パスワード';
	const PHOTO_GALLERY = 'フォトギャラリー';
	const PHOTO_GALLERY_DETAIL_SETTING = 'フォトギャラリーの設定';
	const PHOTO_GALLERY_LIST = 'フォトギャラリー一覧';
	const PHOTO_ITEM_SETTING = 'ファイル設定';
	const PHOTO_SETTING = 'フォトギャラリー設定';
	const PLAYER_CHANGE = 'プレイヤー変更';
	const PLAYER_CONFIG = 'プレイヤー設定';
	const PLAYER_FILE = 'FLV';
	const PLAYER_NON = 'なし';
	const PLAYER_OUTSIDE = 'YouTube';
	const PLAYER_SETTING = 'プレイヤー設定';
	const PLAYER_TYPE = 'プレイヤー形式';
	const PLAYRE_REGIST = 'プレイヤー登録';
	const PREVIOUS_PAGE = '前ページ';
	const RANDOM_PLAY_OFF = 'ランダム再生しない';
	const RANDOM_PLAY_ON = 'ランダム再生する';
	const RE_ARCHIVE = '再圧縮';
	const READ_IMAGE_DIRECTL = '直接指定したファイルを利用する';
	const READ_IMAGE_MODE = '画像読み込み方法';
	const READ_IMAGE_SEQUENTIAL = '連番設定したファイルを利用する';
	const REGUST_DATETIME = '登録日時';
	const REGUST_USER = '登録者';
	const REPEAT = '繰り返し再生する';
	const REPEAT_TYPE_0 = '繰り返さない';
	const REPEAT_TYPE_1 = '縦に繰り返す';
	const REPEAT_TYPE_2 = '横に繰り返す';
	const REPEAT_TYPE_3 = '縦横反復';
	const REQUEST_ERROR = 'HTTPリクエストできません。';
	const RETURN_TO = '戻る';
	const RETURN_TO_LIST = '一覧へ戻る';
	const RETURN_TO_PHOTO_GALLERY_LIST = 'フォトギャラリー全リストに戻る';
	const RETURN_TO_PREVIOUS_PAGE = '前の画面へ戻る';
	const RETURN_TO_SLIDER_LIST = 'スライダー全リストに戻る';
	const RIGHT = '右';
	const RIGHT_BOTTOM = '右下';
	const RIGHT_TOP = '右上';
	const ROLLOUT = 'ロールアウト';
	const ROLLOVER = 'ロールオーバー';
	const SPLIT_EFFECT = 'スプリット効果';
	const RUN = '実行';
	const SAVE_CONTENTS = '登録内容を保存する';
	const SAVE_SITE_ID = ' SITE IDを保存する';
	const SAVE_USER_ID = ' USER IDを保存する　';
	const SCROLL = 'スクロール';
	const SCROLLBAR_SETTING = 'スクロールバー設定';
	const SCROLLBOX_COLOR = 'スクロールボックス';
	const SELECT_UPLOAD_FILE = 'アップロードファイルの選択';
	const SEQUENTIAL_FILE = '連番画像ファイル';
	const SET_BACGROUND_IMAGE = '背景画像の設定';
	const SET_BACKGROUND_COLOR = '背景色指定';
	const SET_FIRST_BACGROUND_IMAGE = '初期背景画像の設定';
	const SET_FIRST_MOVIE = '初期再生動画設定';
	const SET_MOVIE = '再生動画設定';
	const SETTING_DETAIL_SETTING = 'ステージ枠の設定';
	const SHADOW_DISPLAY = '影を表示する';
	const SHADOW_DISPLAY_NON = '影を表示しない';
	const SITE_NAME = 'サイト名';
	const SIZE = 'サイズ';
	const SLIDEIN_ANGLE = 'スライドイン角度';
	const SLIDEIN_SIZE = 'スライドイン移動距離';
	const SLIDEIN_SPEED = 'スライドイン速度';
	const SLIDER = 'スライダー';
	const SLIDER_DETAIL_SETTING = 'スライダーモジュールの詳細設定';
	const SLIDER_ITEM_SETTING = 'スライダーアイテム設定';
	const SLIDER_LIST = 'スライダー一覧';
	const SLIDER_SETTING = 'スライダー設定';
	const STORAGE_PATH = '格納パス';
	const START_NUMBER = '再生開始番号';
	const SUCCEED_CONFIG = '前回設定を引き継ぐ';
	const SUCCESS = '正常';
	const TARGET_ALL = '画像含めてすべて';
	const TARGET_ITEM = '操作対象アイテム';
	const TARGET_ITEM_NUMBER = '操作対象アイテム番号';
	const TARGET_PATH = '参照先';
	const TEXT_COLOR = 'テキスト色';
	const TEXT_DETAIL_SETTING = 'テキストモジュールの詳細設定';
	const TEXT_DISPLAY_SETTING = 'テキスト表示設定';
	const TEXT_FILE = 'テキスト';
	const TEXT_FILE_TYPE = 'テキスト種別';
	const TEXT_FILE_TYPE_0 = '入力したテキストを利用する';
	const TEXT_FILE_TYPE_1 = '指定したファイルを利用する';
	const TEXT_LIST = 'テキスト一覧';
	const TEXT_PARTS = 'テキスト';
	const TEXT_PARTS_SETTING = 'テキスト設定';
	const TEXT_SHADOW_COLOR = 'テキスト影色';
	const THUMBNAIL_PATH = 'サムネイル画像パス';
	const THUMBNAIL_SIZE = 'サムネイルサイズ';
	const TITLE = 'タイトル';
	const TITLE_EDIT = 'タイトル編集';
	const TOP = '上';
	const TOP_OF_DISPLAY_AREA = '画面上部';
	const TOP_OF_PLAYER = 'プレイヤー上部';
	const UNKNOWN_VERSION = '不明なバージョン番号';
	const UP_TO_SELECT_FILE = '選択ファイルをアップロード';
	const UPDATE = 'アップデート';
	const UPDATE_DATETIME = '最終更新日時';
	const UPDATE_USER = '最終更新者';
	const UPDATE_VERSION = '更新後のバージョン';
	const UPDATING = '更新中';
	const UPLOAD = 'アップロード';
	const USE_IT = '利用する';
	const VERTICAL = '縦';
	const VERTICAL_SCROLLBAR = '縦スクロールバー';
	const WIDTH = '幅';
	const WIPE_EFFECT = '表示効果';
	const WIPE_EFFECT_REGIST = '表示効果登録';
	const WIPE_EFFECT_CHANGE = '表示効果編集';
	const WORDWRAP = '行末処理';
	const WORDWRAP_AUTO = '改行する';
	const WORDWRAP_NON = '改行しない';
	const X_AXIS = '横位置';
	const XML_ONLY = 'XMLのみ';
	const Y_AXIS = '縦位置';
	const YOUTUBE_MOVIE = 'YouTube動画';
	const WINDOW_CLOSE = 'ウィンドウを閉じる';
	const LEFT_OR_TOP = '左or上';
	const RIGHT_OR_BOTTOM = '右or下';
	const MENU_ITEM_PLAY_AND_STOP_BUTTON = '再生/停止ボタン';
	const MENU_ITEM_SEEK_BAR = 'シークバー';
	const MENU_ITEM_PLAY_TIME = '再生時間';
	const MENU_ITEM_RESIZE_BUTTON = 'フルスクリーン切替ボタン';
	const MENU_ITEM_SOUND_BUTTON = '音量ボタン';

	// 短文
	const ADD_SLIDER = '新規スライダーを追加する';
	const ADD_TEXT = '新規テキストを追加する';
	const ARCHIVE_AND_DOWNLOAD_COMMENT = '出力先に設定したパスのファイルを圧縮してダウンロードします。';
	const AUTO_CREATE_PAHT = 'システムで自動生成する';
	const CREATE_FREE_DESIGN = '自由にデザインをつくります';
	const CREATE_FROM_TEMPLATE = 'テンプレートから作成';
	const DATA_NOT_CHANGE = 'データ変更無し';
	const GET_FROM_YOUTUBE_TAG = 'YouTubeの「埋込み」タグから抽出する';
	const MANAGEMENT_INFO = 'お知らせ情報を管理します';
	const MANAGEMENT_USE_IMAGE = '使用する画像を管理してください';
	const NO_TEMPLATES = 'テンプレートが1件もありません。';
	const NOT_BUTTON = '設定可能なボタンがありません。';
	const NOT_PLAY_AUTO = '自動で再生しない';
	const NOT_PLAYER = '設定可能なプレイヤーがありません。';
	const NOT_REGIST = '登録がありません。';
	const NOT_TARGET_ITEMS = '追加できる操作対象アイテムがありません。';
	const OPEN_NEW_WINDOW = '新しいウインドウで開く';
	const OPEN_SELF_WINDOW = '現在のウインドウで開く';
	const OPEN_SETTING = '出力設定をする';
	const PLAY_AUTO = '自動で再生する';
	const PLEASE_NOT_INPUT_WHEN_NOT_LINK = 'リンクしない場合は何も入力しないで下さい。';
	const PREVIEW_DEMOSITE = 'デモサイトを見る';
	const TITLE_DETAIL_SETTING = '詳細モードでの設定です。オリジナルデザインを自由に作成できるモードです。';
	const TITLE_DOWNLOAD_EDIT = '作成したデータを圧縮してローカルフォルダに保存する事ができます。';
	const TITLE_EASY_SETTING = '簡易モードでの設定です。あらかじめテンプレートから初期レイアウトを選択してください。';
	const TITLE_NEWS_EDIT = 'デザイン管理で設定したお知らせエリアに一行お知らせ記事を表示する事ができます。';
	const TITLE_OUTPATH_EDIT = '作成したデータを出力エリアへ移動するか、テンプレートとして保存する事ができます。';
	const TITLE_SETTING_EDIT = 'コンテンツのステージ枠等の全体共通設定をおこなってください。';
	const TITLE_STEP1 = 'STEP1  使用する画像を管理します。';
	const TITLE_STEP2 = 'STEP2  自由にデザインをつくります。';
	const TITLE_STEP3 = 'STEP3  お知らせ情報を管理します。';
	const TITLE_STEP4 = 'テンプレートデザインを元に作成します。';
	const TITLE_STEP5 = '作成したファイルをデモサイトで確認します。';
	const TITLE_STEP6 = '作成したファイルの出力設定をします。';
	const TITLE_STEP7 = '作成したファイルをダウンロードします。';
	const TITLE_STEP8 = '全体共通設定をおこないます。';
	const TITLE_TMP_EDIT = 'あらかじめ用意されたテンプレートから簡単に作成する事ができます。';
	const UNRECOGNIZED= '認識できませんでした';
	const UP_TO_TEMPLATE_ZIP_FILE = 'あらかじめ作成されたテンプレートファイルをzip形式でアップロードしてください。';
	const USER_INPUT_PATH = '手動で設定する';
	const USER_INPUT_PATH_TARGET = '手動設定参照先';
	const WHAT_S_BACKGROUND = '背景画像とは？';
	const WHAT_S_BUTTON_SETTING = 'ボタン設定とは？';
	const WHAT_S_COMMON_SETTING = '全体共通設定とは？';
	const WHAT_S_LINK_ITEM_SETTING = 'リンク設定とは？';
	const WHAT_S_MOVIE_SETTING = '動画設定とは？';
	const WHAT_S_NEWS_AREA_SETTING = 'お知らせエリアの設定とは？';
	const WHAT_S_PHOTO_GALLERY_SETTING = 'フォトギャラリー設定とは？';
	const WHAT_S_PLAYER_SETTING = 'プレイヤー設定とは？';
	const WHAT_S_SLIDER_SETTING = 'スライダー設定とは？';
	const WHAT_S_TEXT_SETTING = 'テキスト設定とは？';

	// 文章
	const ARCHIVE_IT_PLEASE_WAIT = '圧縮中です。しばらくお待ちください。';
	const BODY_SETTING_EDIT_COMMENT = 'デモサイトおよび出力先に作成されるHTMLファイルのBODYタグに関する設定を行います。';
	const BUTTON_DELETE_CHECK_COMMENT = 'ボタン動作を削除します。よろしいですか？';
	const COPY_CHECK_COMMENT = 'ファイルをコピーします。よろしいですか？';
	const COPYING_IT_PLEASE_WAIT = 'コピー中です。しばらくお待ちください。';
	const DELETING_IT_PLEASE_WAIT = '削除中です。しばらくお待ちください。';
	const DETAIL_SETTING_COMMENT1 = '詳細設定モードでは、デザイン/動作を完全にオリジナルで作成できるモードです。まずはコンテンツの基本情報を設定してください。';
	const DETAIL_SETTING_COMMENT2 = 'プレイヤー設定では、オリジナルのFLV動画やYouTubeの動画等の再生エリア、ファイルの指定をおこないます。';
	const DETAIL_SETTING_COMMENT3 = 'お知らせエリア設定では、スクロールするお知らせタイトルのエリア設定をおこないます。';
	const DETAIL_SETTING_COMMENT4 = 'リンクアイテムの詳細設定では、各種ボタンアクションに対しての動作設定をおこないます。';
	const DOWNLOAD_EDIT_COMMENT1 = '作成データをローカルフォルダにダウンロードする為の圧縮ファイルを作成します。';
	const EASY_SETTING_COMMENT1 = '簡易設定モードでの背景画像の一括設定では、テンプレートで用意されている背景画象を簡単に差し替える事ができる機能です。';
	const EASY_SETTING_COMMENT2 = '簡易設定モードでの動画ファイルの一括設定では、テンプレートで用意されている動画ファイルを簡単に差し替える事ができる機能です。';
	const EASY_SETTING_COMMENT3 = '簡易設定モードでのボタン画像の設定では、テンプレートで用意されているアイテム（ボタン）を簡単に差し替える事ができる機能です。';
	const ENVIRONMENT_SETTING_COMMENT = '動作環境に関する設定をおこないます。';
	const EXPORT_TO_OUTPATH = '出力先パスにファイルをコピーする(そのまま出力する)';
	const IMPORT_FROM_OUTPATH = '出力先パスのファイルをテンプレートとして取り込む';
	const IMPORTING_XML_PLEASE_WAIT = 'XMLを取り込み中です。しばらくお待ちください。';
	const INITIALIZE_FROM_TEMPLATE_COMMENT = '選択したテンプレートで初期化します。よろしいですか？';
	const INITIALIZE_XML_PLEASE_WAIT = 'XMLを初期化中です。しばらくお待ちください。';
	const INITIALIZE_CHECK_COMMENT = '登録内容を削除します。よろしいですか？';
	const LOGIN_CAUTION_MESSAGE = 'コンテンツを作成する場合は、USERID/PASSWORD/SITEID を入力してログインしてください。新しいサイト（コンテンツ）エリアを作成する場合は、管理者権限の、USER ID/PASSWORDを入力してログインしてください。';
	const NEWS_EDIT_COMMENT1 = 'デザイン管理で設定したお知らせエリアにスクロール、フェイドインで一行お知らせ記事を表示する事ができます。';
	const OUT_XML_PLEASE_WAIT = 'XMLを出力中です。しばらくお待ちください。';
	const OUTPATH_EDIT_COMMENT1 = '作成データを出力先へコピーするか、出力先のデータをテンプレートとして保存するかを選択してください。';
	const OUTPATH_EDIT_COMMENT2 = '出力先を直接利用して、作成したコンテンツを自身のブログやホームページに貼り付ける場合は下記のアドレスをコピーしてタグ上に貼り付けてください。';
	const PHOTO_GALLERY_DELETE_CHECK_COMMENT = 'フォトギャラリーを削除します。よろしいですか？';
	const PHOTO_GALLERY_ITEM_DELETE_CHECK_COMMENT = 'ファイル設定を削除します。よろしいですか？';
	const PHOTO_GALLERY_SETTING_COMMENT1 = 'フォトギャラリー設定では、画像アップロードで登録された写真画像から自動的にフォトギャラリーを構築するモジュールです。指定の方法は表示したい画像の番号範囲指定をするか個別で表示したい画像を設定するか2通りの方法で簡単に設定する事が可能です。';
	const PLAYER_ITEM_DELETE_CHECK_COMMENT = 'プレイヤーへの操作を削除します。よろしいですか？';
	const PLEASE_DONT_BE_CLOSE = 'ブラウザを閉じないでください。';
	const PLEASE_INPUT_COLOR_NUMBER = '6桁のカラー番号を入れてください。';
	const PLEASE_SELECT_IMAGE = '画像管理で登録したファイル名を指定してください。';
	const PLEASE_VERSION_UP = 'バージョンアップが必要です。バージョンアップするには、管理者権限のUSER ID/PASSWORDが必要になります。';
	const PLEASE_WAIT = 'しばらくお待ちください。';
	const PLEASE_WAIT_FOR_UNPACK = 'ファイルを展開中です。しばらくお待ちください。';
	const SETTING_EDIT_COMMENT1 = 'デモサイトおよび出力先コンテンツのFlash表示エリアの設定をおこないます。';
	const SLIDER_DELETE_CHECK_COMMENT = 'スライダーを削除します。よろしいですか？';
	const SLIDER_ITEM_COPY_CHECK_COMMENT = 'スライダーアイテムをコピーします。よろしいですか？';
	const SLIDER_ITEM_DELETE_CHECK_COMMENT = 'スライダーアイテムを削除します。よろしいですか？';
	const SRD_SETTING_COMMENT1 = 'スライダーモジュール設定では、ボタンメニューから簡単に動画等の再生エリア、ファイルの差し替え等をおこなうことができます。';
	const TEXT_DELETE_CHECK_COMMENT = 'テキストを削除します。よろしいですか？';
	const TEXT_SETTING_COMMENT1 = 'テキストモジュール設定では、文字を表示するためのモジュールを設定します。表示する文字の内容や表示エリアのスクロールバーの設定を簡単に設定することができます。';
	const TMP_EDIT_COMMENT1 = 'ブログパーツ用、ホームページ用、一度作成したオリジナルデザインを元に簡単に作成できます。';
	const WIPE_DELETE_CHECK_COMMENT = '表示効果を削除します。よろしいですか？';

	// 注意メッセージ
	const ATTENTION_OPEN_OTHER_WINDOW = '※別ウィンドウで開いた場合、画面を更新しても保存内容は反映されません。';

	// エラーメッセージ
	const MSG_ALPHA_FORMAT_ERROR = '0～100の半角数字で入力してください。';
	const MSG_ALREADY_USING_ERROR = 'すでに利用中です。';
	const MSG_ANGLE_FORMAT_ERROR = '0～3600の半角数字で入力してください。';
	const MSG_CANNOT_CONFIRM_TEMPLATE = 'テンプレートが確認できません。';
	const MSG_CANNOT_DIRECTORY_ERROR = '存在が確認できませんでした。';
	const MSG_CHAR_FORMAT_ERROR = '半角文字で入力して下さい。';
	const MSG_COPY_ERROR = 'コピーに失敗しました。';
	const MSG_COPY_SUCCESS = 'コピーしました。';
	const MSG_CREATE_ERROR = '作成に失敗しました。';
	const MSG_DATA_ACCESS_ERROR = 'データを参照できませんでした。';
	const MSG_DELETE_ERROR = '削除に失敗しました。';
	const MSG_DELETE_SUCCESS = '削除しました。';
	const MSG_END_NUMBER_ERROR = '終了番号は開始番号と同じか大きい数字を指定してください。';
	const MSG_FIGURE_NUMBER_ERROR = '1以上の数字を指定してください。';
	const MSG_FONT_SIZE_ERROR = '8～96の半角数字で入力してください。';
	const MSG_ID_PASSWORD_ERROR = 'USER IDまたはPASSWORDが違います。';
	const MSG_IMAGE_SIZE_ERROR = '0～2999の半角数字で入力してください。';
	const MSG_INPUT_ERROR = '入力内容に間違いがあります。';
	const MSG_LONG_NAME_ERROR = '半角30文字以内で入力してください。';
	const MSG_MANDATORY_ERROR = '必須項目です。';
	const MSG_NOT_NEWS_BASE_INFO = 'お知らせを表示するための情報が登録されていないため、情報の登録はできません。お知らせ表示可能なテンプレートを利用するか、詳細設定でお知らせ設定を行ってください。';
	const MSG_NOT_OUTPUT_PATH = '出力先パスが存在しません。';
	const MSG_NOTO_OUTPUT_FILES = '出力先にファイルが無いため圧縮できません';
	const MSG_NUMERIC_ERROR = '半角数字を指定してください。';
	const MSG_NUMERIC_FORMAT_ERROR = '半角数字で入力して下さい。';
	const MSG_PASSWORD_LENGTH_ERROR = '8文字以上16文字以内で入力してください。';
	const MSG_PERCENTAGE_FORMAT_ERROR = '0～100の半角数字で入力してください。';
	const MSG_REGIST_ERROR = '登録できませんでした。';
	const MSG_REGIST_SUCCESS = '登録しました。';
	const MSG_REFRESH_ERROR = 'ブラウザの更新がクリックされました。';
	const MSG_START_NUMBER_ERROR = '開始番号は終了番号と同じか小さい数字を指定してください。';
	const MSG_UNKNOWN_AUTHORITY_LEVEL_ERROR = '不明な権限です。';
	const MSG_UNKNOWN_ERROR = '不明な値です。';
	const MSG_UPDATE_ERROR = '更新に失敗しました。';
	const MSG_UPDATE_SUCCESS = '更新しました。';

	//テーブルsummary
	const TABLE_INPUT_LOGIN = 'ログイン情報入力';
	const TABLE_SYSTEM_INFO = 'システム情報';
	const TABLE_DISPLAY_AREA = '表示エリア設定';
	const TABLE_NEWS_LIST = 'お知らせ記事一覧';

	//////////////////////
	// 組み合わせ文字列
	//////////////////////

	/** 削除確認メッセージ */
	static function getMsgCheckDelete($name) {
		return "[".$name."]を削除します。よろしいですか？";
	}

	/** バージョンアップ確認メッセージ */
	static function getMsgVersionUp($preVersion, $nextVersion) {
		return $preVersion.'から'.$nextVersion.'へのバージョンアップを行います。';
	}

	/** 削除確認メッセージ */
	static function getMsgCheckDeleteNumber($number) {
		return intval($number)."番を削除します。よろしいですか？";
	}

	/** コピー確認メッセージ */
	static function getMsgCheckCopy($name) {
		return "[".$name."]をコピーします。よろしいですか？";
	}
}

?>