<?php
class CreateLanguageConfig {

	/**
	 * 内容をファイルとして出力
	 * @see FileUtil::writeFileStr
	 * @return intval エラーコード
	 */
	static function writeFile() {

		$outputStr = <<<_END_OF_STR_
<?php
require_once dirname(__FILE__).'/../apl/inc/base/language_base.php';

/**
 * 言語切り替え用文字列ファイル
 * 言語を切り替える場合、LanguaegBaseの定義をオーバーライドしてください。
 */
class Language extends LanguageBase {
}

?>
_END_OF_STR_;

		$filePath = dirname(__FILE__).'/../../../config/language.php';

		require_once dirname(__FILE__).'/../util/file.php';
		return FileUtil::writeFileStr($filePath, $outputStr);
	}
}

?>