<?php
require_once dirname(__FILE__).'/../flag_xml.php';

class HtmlPropertyData extends DataAccessBase {

	/**
	 * html_property_dataを取得する
	 * @param $domainId [in] ドメインID
	 * @return HtmlPropertyElement
	 */
	function &get($domainId) {
		$info = new HtmlPropertyElement();

		$sql  = 'SELECT * FROM html_property_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) === 0) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info->domainId = intval($row['domain_id']);

		$info->bodyMarginTop = intval($row['body_margin_top']);
		$info->bodyMarginBottom = intval($row['body_margin_bottom']);
		$info->bodyMarginLeft = intval($row['body_margin_left']);
		$info->bodyMarginRight = intval($row['body_margin_right']);
		$info->bodyMarginLeftIsAuto = (intval($row['body_margin_left_is_auto'])===1);
		$info->bodyMarginRightIsAuto = (intval($row['body_margin_right_is_auto'])===1);
		$info->bodyPaddingTop = intval($row['body_padding_top']);
		$info->bodyPaddingBottom = intval($row['body_padding_bottom']);
		$info->bodyPaddingLeft = intval($row['body_padding_left']);
		$info->bodyPaddingRight = intval($row['body_padding_right']);
		$info->bodyPaddingLeftIsAuto = (intval($row['body_padding_lefit_is_auto'])===1);
		$info->bodyPaddingRightIsAuto = (intval($row['body_padding_right_is_auto'])===1);
		$info->bodyLayoutType = intval($row['body_layout_type']);
		$info->bodyBgColor = $row['body_bg_color'];
		$info->bodyImageUrl = $row['body_image_url'];
		$info->bodyImageRepeatType = intval($row['body_image_repeat_type']);

		$info->flashWidth = intval($row['flash_width']);
		$info->flashHeight = intval($row['flash_height']);
		$info->flashMarginTop = intval($row['flash_margin_top']);
		$info->flashMarginBottom = intval($row['flash_margin_bottom']);
		$info->flashMarginLeft = intval($row['flash_margin_left']);
		$info->flashMarginRight = intval($row['flash_margin_right']);
		$info->flashMarginLeftIsAuto = (intval($row['flash_margin_left_is_auto'])===1);
		$info->flashMarginRightIsAuto = (intval($row['flash_margin_right_is_auto'])===1);
		$info->flashPaddingTop = intval($row['flash_padding_top']);
		$info->flashPaddingBottom = intval($row['flash_padding_bottom']);
		$info->flashPaddingLeft = intval($row['flash_padding_left']);
		$info->flashPaddingRight = intval($row['flash_padding_right']);
		$info->flashPaddingLeftIsAuto = (intval($row['flash_padding_left_is_auto'])===1);
		$info->flashPaddingRightIsAuto = (intval($row['flash_padding_right_is_auto'])===1);

		return $info;
	}

	/**
	 * html_property_dataにデータを設定する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] HtmlPropertyElement
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info) {
		$sql = 'SELECT domain_id FROM html_property_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$cnt = mysql_num_rows($res);
		if($cnt > 1) {
			return false;
		} else if($cnt === 1) {
			if(!$this->_updateElement($domainId, $info)) {
				return false;
			}
		} else {
			if(!$this->_insertElement($domainId, $info)) {
				return false;
			}
		}

		return true;
	}

	private function _insertElement($domainId, $info) {
		$columns  = ' domain_id';
		$values   = ' '.intval($domainId);
		$columns .= ',body_margin_top';
		$values  .= ','.intval($info->bodyMarginTop);
		$columns .= ',body_margin_bottom';
		$values  .= ','.intval($info->bodyMarginBottom);
		$columns .= ',body_margin_left';
		$values  .= ','.intval($info->bodyMarginLeft);
		$columns .= ',body_margin_right';
		$values  .= ','.intval($info->bodyMarginRight);
		$columns .= ',body_margin_left_is_auto';
		$values  .= ','.($info->bodyMarginLeftIsAuto?1:0);
		$columns .= ',body_margin_right_is_auto';
		$values  .= ','.($info->bodyMarginRightIsAuto?1:0);
		$columns .= ',body_padding_top';
		$values  .= ','.intval($info->bodyPaddingTop );
		$columns .= ',body_padding_bottom';
		$values  .= ','.intval($info->bodyPaddingBottom);
		$columns .= ',body_padding_left';
		$values  .= ','.intval($info->bodyPaddingLeft);
		$columns .= ',body_padding_right';
		$values  .= ','.intval($info->bodyPaddingRight);
		$columns .= ',body_padding_lefit_is_auto';
		$values  .= ','.($info->bodyPaddingLeftIsAuto?1:0);
		$columns .= ',body_padding_right_is_auto';
		$values  .= ','.($info->bodyPaddingRightIsAuto?1:0);
		$columns .= ',body_layout_type';
		$values  .= ','.intval($info->bodyLayoutType);
		$columns .= ',body_bg_color';
		$values  .= ','.$this->dbStr($info->bodyBgColor);
		$columns .= ',body_image_url';
		$values  .= ','.$this->dbStr($info->bodyImageUrl);
		$columns .= ',body_image_repeat_type';
		$values  .= ','.intval($info->bodyImageRepeatType);
		$columns .= ',flash_width';
		$values  .= ','.intval($info->flashWidth);
		$columns .= ',flash_height';
		$values  .= ','.intval($info->flashHeight);
		$columns .= ',flash_margin_top';
		$values  .= ','.intval($info->flashMarginTop);
		$columns .= ',flash_margin_bottom';
		$values  .= ','.intval($info->flashMarginBottom);
		$columns .= ',flash_margin_left';
		$values  .= ','.intval($info->flashMarginLeft);
		$columns .= ',flash_margin_right';
		$values  .= ','.intval($info->flashMarginRight);
		$columns .= ',flash_margin_left_is_auto';
		$values  .= ','.($info->flashMarginLeftIsAuto?1:0);
		$columns .= ',flash_margin_right_is_auto';
		$values  .= ','.($info->flashMarginRightIsAuto?1:0);
		$columns .= ',flash_padding_top';
		$values  .= ','.intval($info->flashPaddingTop);
		$columns .= ',flash_padding_bottom';
		$values  .= ','.intval($info->flashPaddingBottom);
		$columns .= ',flash_padding_left';
		$values  .= ','.intval($info->flashPaddingLeft);
		$columns .= ',flash_padding_right';
		$values  .= ','.intval($info->flashPaddingRight);
		$columns .= ',flash_padding_left_is_auto';
		$values  .= ','.($info->flashPaddingLeftIsAuto?1:0);
		$columns .= ',flash_padding_right_is_auto';
		$values  .= ','.($info->flashPaddingRightIsAuto?1:0);

		$sql = 'INSERT INTO html_property_data ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _updateElement($domainId, $info) {
		$setval  = ' body_margin_top='.intval($info->bodyMarginTop);
		$setval .= ',body_margin_bottom='.intval($info->bodyMarginBottom);
		$setval .= ',body_margin_left='.intval($info->bodyMarginLeft);
		$setval .= ',body_margin_right='.intval($info->bodyMarginRight);
		$setval .= ',body_margin_left_is_auto='.($info->bodyMarginLeftIsAuto?1:0);
		$setval .= ',body_margin_right_is_auto='.($info->bodyMarginRightIsAuto?1:0);
		$setval .= ',body_padding_top='.intval($info->bodyPaddingTop );
		$setval .= ',body_padding_bottom='.intval($info->bodyPaddingBottom);
		$setval .= ',body_padding_left='.intval($info->bodyPaddingLeft);
		$setval .= ',body_padding_right='.intval($info->bodyPaddingRight);
		$setval .= ',body_padding_lefit_is_auto='.($info->bodyPaddingLeftIsAuto?1:0);
		$setval .= ',body_padding_right_is_auto='.($info->bodyPaddingRightIsAuto?1:0);
		$setval .= ',body_layout_type='.intval($info->bodyLayoutType);
		$setval .= ',body_bg_color='.$this->dbStr($info->bodyBgColor);
		$setval .= ',body_image_url='.$this->dbStr($info->bodyImageUrl);
		$setval .= ',body_image_repeat_type='.intval($info->bodyImageRepeatType);
		$setval .= ',flash_width='.intval($info->flashWidth);
		$setval .= ',flash_height='.intval($info->flashHeight);
		$setval .= ',flash_margin_top='.intval($info->flashMarginTop);
		$setval .= ',flash_margin_bottom='.intval($info->flashMarginBottom);
		$setval .= ',flash_margin_left='.intval($info->flashMarginLeft);
		$setval .= ',flash_margin_right='.intval($info->flashMarginRight);
		$setval .= ',flash_margin_left_is_auto='.($info->flashMarginLeftIsAuto?1:0);
		$setval .= ',flash_margin_right_is_auto='.($info->flashMarginRightIsAuto?1:0);
		$setval .= ',flash_padding_top='.intval($info->flashPaddingTop);
		$setval .= ',flash_padding_bottom='.intval($info->flashPaddingBottom);
		$setval .= ',flash_padding_left='.intval($info->flashPaddingLeft);
		$setval .= ',flash_padding_right='.intval($info->flashPaddingRight);
		$setval .= ',flash_padding_left_is_auto='.($info->flashPaddingLeftIsAuto?1:0);
		$setval .= ',flash_padding_right_is_auto='.($info->flashPaddingRightIsAuto?1:0);

		$sql = 'UPDATE html_property_data SET '.$setval.' WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}

}

?>