<?php
class Setup_0_9_16 extends SetupBase {
	function updateDefine() {
		$msg = '';

		// player_element

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element ADD COLUMN file_type INTEGER(1);
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [player_element.file_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element ADD COLUMN playlist_play_type INTEGER(1);
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [player_element.playlist_play_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element ADD COLUMN playlist_start_number INTEGER;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [player_element.playlist_start_number]';
		}

		// item_element

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN delay_time INTEGER;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.delay_time]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN image_type INTEGER(1);
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.image_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN playlist_play_type INTEGER(1);
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.playlist_play_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN playlist_play_wait INTEGER;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.playlist_play_wait]';
		}

		// playlist_item

		$sql = <<<_END_OF_STR_
CREATE TABLE playlist_item (
       playlist_item_id INTEGER NOT NULL AUTO_INCREMENT
     , player_id INTEGER NOT NULL
     , disp_no INTEGER NOT NULL
     , url TEXT NOT NULL
     , title TEXT NOT NULL
     , thumb_url TEXT NOT NULL
     , PRIMARY KEY (playlist_item_id)
)TYPE=InnoDB;
_END_OF_STR_;
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create error [playlist_item]';
		}

		// imagelist_item

		$sql = <<<_END_OF_STR_
CREATE TABLE imagelist_item (
       imagelist_item_id INTEGER NOT NULL AUTO_INCREMENT
     , item_id INTEGER NOT NULL
     , disp_no INTEGER NOT NULL
     , name TEXT NOT NULL
     , image TEXT NOT NULL
     , link_url TEXT NOT NULL
     , link_url_target INTEGER(1) NOT NULL
     , PRIMARY KEY (imagelist_item_id)
)TYPE=InnoDB;
_END_OF_STR_;
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create error [playlist_item]';
		}

		// wipe_setting

		$sql = <<<_END_OF_STR_
CREATE TABLE wipe_setting (
       item_id INTEGER NOT NULL
     , type INTEGER(1) NOT NULL
     , width_divide_number INTEGER NOT NULL
     , height_divide_number INTEGER NOT NULL
     , width_is_magnified INTEGER(1) NOT NULL
     , height_is_magnified INTEGER(1) NOT NULL
     , display_direction INTEGER(1) NOT NULL
     , speed INTEGER NOT NULL
     , diagonal_type INTEGER(1) NOT NULL
     , PRIMARY KEY (item_id)
)TYPE=InnoDB;
_END_OF_STR_;
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'create error [wipe_setting]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		// player_element

		$sql = "UPDATE player_element SET file_type=1, playlist_play_type=2 WHERE file_type IS NULL";
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg = 'update error [player_element]';
		}

		// item_element

		$sql = "UPDATE item_element SET delay_time=0, image_type=1, playlist_play_type=2, playlist_play_wait=0 WHERE delay_time IS NULL";
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg = 'update error [item_element]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		// player_element

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element MODIFY COLUMN file_type INTEGER(1)  NOT NULL;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [player_element.file_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element MODIFY COLUMN playlist_play_type INTEGER(1) NOT NULL;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [player_element.playlist_play_type]';
		}

		// item_element

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element MODIFY COLUMN delay_time INTEGER NOT NULL;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.delay_time]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element MODIFY COLUMN image_type INTEGER(1) NOT NULL;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.image_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element MODIFY COLUMN playlist_play_type INTEGER(1) NOT NULL;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.playlist_play_type]';
		}

			$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element MODIFY COLUMN playlist_play_wait INTEGER NOT NULL;
_END_OF_STR_;

		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.playlist_play_wait]';
		}

		// playlist_item

		$sql = <<<_END_OF_STR_
ALTER TABLE playlist_item
  ADD CONSTRAINT FK_playlist_item_1
      FOREIGN KEY (player_id)
      REFERENCES player_element (player_id);
_END_OF_STR_;
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [playlist_item]';
		}

		// imagelist_item

		$sql = <<<_END_OF_STR_
ALTER TABLE imagelist_item
  ADD CONSTRAINT FK_imagelist_item_1
      FOREIGN KEY (item_id)
      REFERENCES item_element (item_id);
_END_OF_STR_;
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [imagelist_item]';
		}

		// wipe_setting

		$sql = <<<_END_OF_STR_
ALTER TABLE wipe_setting
  ADD CONSTRAINT FK_wipe_setting_1
      FOREIGN KEY (item_id)
      REFERENCES item_element (item_id);
_END_OF_STR_;
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			$msg .= 'alter error [wipe_setting]';
		}

		return $msg;
	}
}
?>