<?php
class Setup_0_9_0 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE domain ADD COLUMN iframe_src_type INT2;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [domain.iframe_src_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE domain ADD COLUMN input_iframe_src TEXT;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [domain.input_iframe_src]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "UPDATE domain SET iframe_src_type=0 WHERE iframe_src_type IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [domain.frame_src_type]';
		}

		$sql = "UPDATE domain SET input_iframe_src='coreblo_flag.html' WHERE input_iframe_src IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [domain.frame_src_type]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE domain
        ALTER COLUMN iframe_src_type SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [domain.iframe_src_type]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE domain
        ALTER COLUMN input_iframe_src SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [domain.input_iframe_src]';
		}

		return $msg;
	}
}
?>