<?php
class Setup_0_9_10 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE text_data ADD COLUMN text_data TEXT;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [text_data.text_data]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "UPDATE text_data SET text_data='' WHERE text_data IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [text_data.text_data]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE text_data
        ALTER COLUMN text_data SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [text_data.text_data]';
		}

		return $msg;
	}
}
?>