function getPartsList(type,selectType,selectNum, noRegistMsg) {
	if(type == 'none') {
		changeDisplay('InputItem', true);
		changeDisplay('SelectPartsNum', false);
		return;
	} else {
		changeDisplay('InputItem', false);
		changeDisplay('SelectPartsNum', true);
	}

	var dispArea = document.getElementById('SelectPartsNum');
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', '../detail/get_partslist_exec.php?type='+type+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('SelectPartsNum');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {

						var output = '';
						var partsList = xml.getElementsByTagName('parts');
						if(partsList.length > 0) {
							output += '<select name="partsNo" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">';
							for(var cnt = 0; cnt < partsList.length; cnt++) {
								var partsNo = Number(partsList[cnt].getAttribute("no"));
								output += '<option value="'+partsNo+'"';
								if(selectNum == partsNo) {
									output += ' selected="selected"';
								}
								output += '>('+partsNo+')'+partsList[cnt].firstChild.nodeValue+"<\/option>";
							}
							output += "<\/select>";
						} else {
							output = "<div>"+noRegistMsg+"<\/div>";
						}
						dispArea.innerHTML = output;

					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		};
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error:"+e.toString()+"<\/p>";
	}
}