<?php
if(!isset($isInput) || $isInput !== false) {
	header('Location: ../../index.php');
} else {
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>インストール</title>
<meta name="copyright" content="インストール" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="stylesheet" href="../../css/detail/int_common.css" type="text/css" />
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><h1 class="head_logo" title="coreblo-FLAG LIGHT CMS"><span>coreblo-FLAG LIGHT CMS</span></h1></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<div class="caution_area">
		<div class="caution_detail_ins_area">
		<p class="caution_title"><span>CAUTION</span></p>

<?php
	foreach ($_POST as $postName => $postValue) {
		if($postName === 'mode') {
			continue;
		}
?>				<input type="hidden" name="<?echo $postName;?>" value="<?echo htmlspecialchars($postValue);?>" />
<?php
	}
	?>	<p class="caution_txt">右の内容でインストールを行います。</p>
		</div>
	</div>
	<div class="login_area">
		<div class="login_area_ins_table">
		<table summary="インストール情報">
		<tr>
		<th>名称</th>
		<td><?php echo htmlspecialchars($_POST['installName']);?></td>
		</tr>
		<tr>
		<th>DB種別</th>
		<td><?php echo htmlspecialchars($_POST['dataType']);?></td>
		</tr>
<?php
	if($_POST['dataType'] === 'text') {
?>
		<tr>
		<th>テキストDBデータ格納パス</th>
		<td><?php echo htmlspecialchars($_POST['textDataPath']);?></td>
		</tr>
<?php
	} else {
?>		<tr>
		<th>接続先DBサーバー</th>
		<td><?php echo htmlspecialchars($_POST['dbServer']);?></td>
		</tr>
		<tr>
		<th>接続先DB名称</th>
		<td><?php echo htmlspecialchars($_POST['dbName']);?></td>
		</tr>
		<tr>
		<th>DBユーザーID</th>
		<td><?php echo htmlspecialchars($_POST['dbUserName']);?></td>
		</tr>
		<tr>
		<th>DBパスワード</th>
		<td><?php echo htmlspecialchars($_POST['dbPassword']);?></td>
		</tr>
<?php
	}
?>
		<tr>
		<th>ファイルアップロードCGI格納先URL</th>
		<td><?php echo htmlspecialchars('http://'.$_SERVER['SERVER_NAME'].$_POST['upCgiUrl']);?></td>
		</tr>
		<tr>
		<th>出力先初期値</th>
		<td><?php echo htmlspecialchars($_POST['outPathDefault']);?></td>
		</tr>
		</table>
		</div>
		<div class="login_bt">
		<input type="submit" value="戻る" onclick="document.getElementById('act').action='index.php';" />
		<input type="submit" value="保存" onclick="document.getElementById('act').action='save.php';" />
		</div>
	</div>
	</div>
	<div id="contents_footer"><img src="../../image/common/bg/int_main_bgb.gif" alt="フッター" /></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><p>COPYRIGHT (C)2009 maverica corporation. ALL RIGHTS RESERVED.</p></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html><?php
}
?>