<?php
require_once '../../inc/common.php';
commonDefine();

require_once dirname(__FILE__).'/../../inc/base/language_base.php';
class Language extends LanguageBase{
	// 初回時はLaugage.phpが存在しないため。
}

if(is_file(dirname(__FILE__).'/../../../config/config.php')) {
	header('Location: ../../index.php');
} else {
	$versionFile = dirname(__FILE__).'/../../version.php';
	$message = 'しばらくお待ちください。';
	$isCreate = true;

	session_start();

	$_SESSION['install'] = 'install';

	require_once dirname(__FILE__).'/../../inc/creater/config.php';
	require_once dirname(__FILE__).'/../../inc/creater/design_config.php';
	require_once dirname(__FILE__).'/../../inc/creater/language_config.php';
	$createConfig = new CreateConfig();
	$createConfig->installName = $_POST['installName'];
	$createConfig->dbServer = $_POST['dbServer'];
	$createConfig->dbName = $_POST['dbName'];
	$createConfig->dbUserName = $_POST['dbUserName'];
	$createConfig->dbPassword = $_POST['dbPassword'];
	$createConfig->upCgiUrl =  $_POST['upCgiUrl'];
	$createConfig->dataType =  $_POST['dataType'];
	$createConfig->textDataPath =  $_POST['textDataPath'];
	$createConfig->outPathDefault =  $_POST['outPathDefault'];

	$tmpZipPath = dirname(__FILE__).'/../../../users/test.zip';
	exec('zip -j '.$tmpZipPath.' '.$versionFile);
	if(is_file($tmpZipPath)) {
		$createConfig->isArcive = true;
		unlink($tmpZipPath);
	} else {
		$createConfig->isArcive = false;
	}

	$result = &$createConfig->check();

	if(count($result) === 0) {
		require_once dirname(__FILE__).'/../../inc/data/'.$createConfig->dataType.'/data_access.php';
		if(DataAccessBase::checkSetting($_POST)) {
			if($createConfig->writeFile() === 0) {
				if(CreateDesignConfig::writeFile() === 0
				&& CreateLanguageConfig::writeFile() === 0) {
					require_once $versionFile;
					$versionList =& Version::getVersionList();
					reset($versionList);
					$versionTop = key($versionList);
				} else {
					$isCreate = false;
					$message = 'デザイン設定ファイルの生成に失敗しました。';
				}
			} else {
				$isCreate = false;
				$message = '設定ファイルの生成に失敗しました。';
			}

		} else {
			$isCreate = false;
			$message = 'データにアクセスできません。設定を確認してください。';
		}
	} else {
		$isCreate = false;
		$message = '入力内容にエラーがあります。';
	}

	if(!$isCreate) {
		require_once 'error.php';
	} else {
		require_once '../../../config/config.php';
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>インストール</title>
<meta name="copyright" content="インストール" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="stylesheet" href="../../css/detail/int_common.css" type="text/css" />
<script type="text/javascript" src="../../js/http.js"></script>
<script type="text/javascript"><!--
function create(version, cnt) {
	var dispArea = document.getElementById('script_disp_area');
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'exec.php?ver='+version+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			var msgArea = document.getElementById('script_disp_msg');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						var target = xml.getElementsByTagName('target')[0].firstChild.nodeValue;
						var next = xml.getElementsByTagName('next')[0].firstChild.nodeValue;
						var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
						switch (status) {
						case 0: //exec
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div><div>作成中<\/div><div>"+(cnt+1)+"\/<?php echo count($versionList);?><\/div>";
							msgArea.innerHTML += '<div>'+target+':'+result+"<\/div>";
							var tid=setTimeout("create('"+next+"', "+(cnt+1)+")",<?php echo Config::SYSTEM_SCRIPT_REQUEST_TIME;?>);

							break;
						case 1: //end
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::FINISH);?><\/div><div><a href=\"..\/..\/index.php\"><?php echo htmlspecialchars(Language::RETURN_TO);?><\/a><\/div>";
							msgArea.innerHTML += '<div>'+target+':'+result+"<\/div>";
							break;

						default: //error
							dispArea.innerHTML = "<p class=\"caution_art\">エラー<\/p>";
							msgArea.innerHTML += '<div>'+target+':'+result+"<\/div>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}
function init() {
	create('<?php echo htmlspecialchars($versionTop);?>', 0);
}
window.onload = init;
--></script>
</head>
<body>
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><h1 class="head_logo" title="coreblo-FLAG LIGHT CMS"><span>coreblo-FLAG LIGHT CMS</span></h1></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
		<div>
			<div id="script_disp_area"><?php echo $message;?></div>
			<div id="script_disp_msg"></div>
		</div>
	</div>
	<div id="contents_footer"><img src="../../image/common/bg/int_main_bgb.gif" alt="フッター" /></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><p>COPYRIGHT (C)2009 maverica corporation. ALL RIGHTS RESERVED.</p></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</body>
</html><?php
	}
}
?>