<?php
if(empty($_SESSION['system_update']) || $_SESSION['system_update'] !== 'system_update') {
	header('Location: ../../index.php');
} else {
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(Language::UPDATE.' '.DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(Language::UPDATE);?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<div class="caution_area">
		<div class="caution_detail_area">
		<p class="caution_title"><span>CAUTION</span></p>
		<p class="caution_txt"><?php echo htmlspecialchars(Language::getMsgVersionUp($nowVersion, Version::VERSION));?></p>
<?php
		$messageList = Version::getMessageList();
		$versionList = Version::getVersionList();
		$nextVersion = $versionList[$nowVersion];

		while(!empty($nextVersion)) {
			if(array_key_exists($nextVersion, $messageList)) {
?>		<p class="caution_art"><?php echo htmlspecialchars($nextVersion.':'.$messageList[$nextVersion]);?></p>
<?php
			}
			$nextVersion = $versionList[$nextVersion];
		}
?>
		</div>
	</div>
	<div class="login_area">
	<div class="login_bt">
	<input type="submit" value="<?php echo htmlspecialchars(Language::RETURN_TO);?>" onclick="document.getElementById('act').action='index.php';" />
	<input type="submit" value="<?php echo htmlspecialchars(Language::RUN);?>" onclick="document.getElementById('act').action='update.php';" />
	</div>
	</div>
	</div>
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html><?php
}
?>