<?php
	require_once dirname(__FILE__).'/../inc/common.php';
	commonInit(false);

	if(empty($_SERVER['HTTP_REFERER'])) {
		header('Location: '.SYSTEM_APL_URL.'index.php');
	} else {
		require_once SYSTEM_INCLUDE_DATA_PATH.'account.php';

		$account = new Account('');

		$info = $account->getFromInput($_POST['UserID'], $_POST['UserPass'], $_POST['domainDir']);
		if($info->accountId > 0) {
			$_SESSION['DomainId'] = $info->domainId;
			$_SESSION['AccountID'] = $info->accountId;
			$_SESSION['UserID'] = $info->userId;
			$_SESSION['UserName'] = $info->dispName;
			$_SESSION['AuthorityLevel'] = intval($info->authorityLevel);
			$_SESSION['DomainTitle'] = $info->domainTitle;
			$_SESSION['InstallPath'] = realpath(SYSTEM_APP_PATH);
			$account->updateLoginTime($info->accountId);

			if(isset($_POST['svid']) && intval($_POST['svid']) === 1) {
				setcookie('maverica_coreblo_flag_light_cms_user_id', $_POST['UserID'], time()+315360000, SYSTEM_REAL_URL.'apl/');
			} else {
				setcookie('maverica_coreblo_flag_light_cms_user_id', '', time()+315360000, SYSTEM_REAL_URL.'apl/');
			}
			if(isset($_POST['svsite']) && intval($_POST['svsite']) === 1) {
				setcookie('maverica_coreblo_flag_light_cms_site_id', $_POST['domainDir'], time()+315360000, SYSTEM_REAL_URL.'apl/');
			} else {
				setcookie('maverica_coreblo_flag_light_cms_site_id', '', time()+315360000, SYSTEM_REAL_URL.'apl/');
			}


			if(intval($info->authorityLevel) === 1) {
				header('Location: '.SYSTEM_APL_URL.'domain/index.php');
				exit();
			} else {
				require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
				$flagXml = new FlagXml($_SESSION['UserName']);
				if($flagXml->isCreated($info->domainId)) {
					header('Location: '.SYSTEM_APL_URL.'upload/uploader.php');
				} else {
					header('Location: '.SYSTEM_APL_URL.'template/index.php');
				}
				exit();
			}
		} else {
			$_SESSION['Message'] = Language::MSG_ID_PASSWORD_ERROR;
			header('Location: '.SYSTEM_APL_URL.'login.php');
			exit();
		}
	}
?>