<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$status = 0;
	$result = Language::SUCCESS;
	$selectTemplate = $_GET['id'];


	$srcPath = realpath(SYSTEM_PATH.'template/page');
	if(isset($_GET['type'])) {
		if($_GET['type'] === 'users') {
			$srcPath = realpath(SYSTEM_USERS_PATH.sprintf('%03d/template', intval($_SESSION['DomainId'])));
		} else if($_GET['type'] === 'blog') {
			$srcPath = realpath(SYSTEM_PATH.'template/blog');
		}
	}
	$srcPath .= '/'.$selectTemplate.'/'.$_GET['src'];

	$destPathBase = realpath(SYSTEM_USERS_PATH.sprintf('%03d/work/', intval($_SESSION['DomainId'])).$_GET['src']);

	$nextPath = '';
	if(is_dir($srcPath)) {
		$dh  = opendir($srcPath);
		while (false !== ($pathName = readdir($dh))) {
			if($pathName != "." && $pathName != "..") {
				$targetPath = $srcPath.'/'.$pathName;
				if(is_file($targetPath)) {
					if(!copy($targetPath, $destPathBase.'/'.$pathName)) {
						$status = -1;
						$result = Language::MSG_COPY_ERROR.'['.$pathName.']';
					}
				} else if(is_dir($targetPath)) {
					mkdir($destPathBase.'/'.$pathName, 0755);
					$nextPath .= '	<next>'.$_GET['src'].'/'.$pathName."</next>\n";
				}
			}
		}
	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
{$nextPath}</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>