#!/usr/bin/perl --

#┌─────────────────────────────────
#│ Maverica UPLoader v0.52 (2007/04/01)
#└─────────────────────────────────
$ver = 'Maverica UPLoader v0.52';
#

use CGI;
#============#
#    設定    #
#============#

# 投稿受理最大サイズ (bytes)
# → 例 : 102400 = 100KB
$CGI::POST_MAX = 1024 * 1024 * 100;
$UploadMax = 1024 * 1024 * 100;

$query = new CGI;

# 添付ファイルのアップロードに失敗したとき
#  0 : 添付ファイルは無視し、記事は受理する
#  1 : エラー表示して処理を中断する
$clip_err = 1;

#============#
#  設定完了  #
#============#

print "Content-type: text/html\n";
print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Expires: Thu, 01 Dec 1994 16:00:00 GMT\n\n";

&decode;
&upprocess;

#----------------#
#  画像表示処理  #
#----------------#
sub upprocess {
	# ファイルアップ処理
  	if ($in{'Filedata'}){
		if (&UpFile){#ファイル指定あり
			print "Filedata=0";
		}else{#エラー
			&error;
		}
	}else{#ファイルなし
		&error;
	}
	exit;
}

#--------------------#
#  画像アップロード  #
#--------------------#
sub UpFile {
	local($macbin,$fname,$flag,$upfile,$cnt);
	# ファイル取得
	my $fH = $query->upload('Filedata');
	$fname  = $query->param('Filedata');
	$old_fH = $fH;
	$fH =~ m/([\d\w\.]*?)$/;
	#my $fname = $1;

	# MIMEタイプ取得
	$tail= $query->uploadInfo($fH)->{'Content-Type'};

	# ファイルサイズ取得
	#my $size = (stat($fH))[7];

	# サイズ制限
	#&error("The filesize is too large. Max $maxsize KB") if ($size > $maxsize * 1024);

	# 画像処理
	$error="";
        $cnt=0;
	$macbin=0;

	$tail =~ s/\r//g;
	$tail =~ s/\n//g;
	if ($tail =~/application\/x-macbinary/i) {
		$macbin=1;
	}
	$fname =~ tr/\"\x0D\x0A//d;
        #オリジナルファイル名
        @str = split(/\\/, $fname);
        $origin_fname = pop(@str);

	while(read($fH, $buffer, 1024)){
	    $upfile .= $buffer;
	}

	# マックバイナリ対策
	if ($macbin) {
		$length = substr($upfile,83,4);
		$length = unpack("%N",$length);
		$upfile = substr($upfile,128,$length);
	}

	# 添付データを書き込み
	$ImgFile = "$in{'post_path'}$origin_fname";

	if (!open(OUT,"> $ImgFile")) {
		if ($clip_err) {
			$error="ファイルのアップロードに失敗しました。<br>";
			return 0;
		}
	}
 	binmode(OUT);
	binmode(STDOUT);
	print OUT $upfile;
	close(OUT);
	close($old_fH);

	return 1;

}


#--------------#
#  エラー処理  #
#--------------#
sub init_error {
	print "Filedata=-1";
	exit;
}

sub error {
	print "Filedata=-1";
	exit;
}

#----------------#
#  デコード処理  #
#----------------#
sub decode {
	# QueryString取得
	$buffer = $ENV{'QUERY_STRING'};
	@pairs = split('&',$buffer);
	foreach $pair (@pairs)
	{
		($key, $val) = split('=', $pair);
		$val =~ tr/+/ /;
		$val =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		$in{$key} = $val;
	}

	@params = $query->param();

	if ($query->cgi_error) {
		my $err = $query->cgi_error;
		&init_error("$err") if ($err);
	}

	foreach $param (@params) {
		$key = $param;
		$val = $query->param($param);

		if ($param !~/Filedata/) {
			# タグ処理
			$val =~ s/&/&amp;/g;
			$val =~ s/"/&quot;/g;
			$val =~ s/</&lt;/g;
			$val =~ s/>/&gt;/g;
		}
		$in{$key} = $val;
	}
}
__END__

