<?php
abstract class DesignConfigBase {

	///////////////////
	// 文字のみ
	///////////////////

	/** システムタイトル */
	static function getSysTitle() {
		return '-FLASH CONTENTS MANEGEMENT SYSTEM- coreblo-FLAG';
	}

	/** メタタグ内コピーライト */
	static function getMetaCopy() {
		return 'Copyright (C) maverica';
	}

	///////////////////
	// タグ込み
	///////////////////

	/** 共通スタイルシート */
	static function getTagCommonCss() {
		return '<link rel="stylesheet" href="'.SYSTEM_URL.'apl/css/detail/common.css" type="text/css" />';
	}
	/** 個別スタイルシート(ノーマルデザイン) */
	static function getTagNormalCss() {
		return '<link rel="stylesheet" href="'.SYSTEM_URL.'apl/css/detail/normal.css" type="text/css" />';
	}

	/** ロゴ箇所 */
	static function getTagAplLogo() {
		return '<h1 class="head_logo" title="coreblo-FLAG LIGHT CMS"><span>coreblo-FLAG LIGHT CMS</span></h1>';
	}

	/** コンテンツインナーエリア下蓋箇所 */
	static function getTagContentsInnerFooter() {
		return '<img src="'.SYSTEM_URL.'apl/image/common/bg/contents_inner_main_bgb.gif" alt="'.htmlspecialchars(Language::CONTENTS_FOOTER).'" />';
	}

	/** コンテンツエリア下蓋箇所 */
	static function getTagContentsFooter() {
		return '<img src="'.SYSTEM_URL.'apl/image/common/bg/contents_footer_bg.gif" alt="'.htmlspecialchars(Language::FOOTER).'" />';
	}

	/** コピーライト */
	static function getTagCopyright() {
		return '<p>COPYRIGHT (C)2009 maverica corporation. ALL RIGHTS RESERVED.</p>';
	}

	/** ロゴ(サイトリンク) */
	static function getTagFooterLogo() {
		$str  = '<ul>'."\n";
		$str .= '	<li>'."\n";
		$str .= '		<a href="http://cms.coreblo.com" onclick="openNewWindow(\'http://cms.coreblo.com\',null);return false;">'."\n";
		$str .= '			<img src="'.SYSTEM_URL.'apl/image/common/bn/cms_bn.gif" alt="'.htmlspecialchars(Language::CMS_BANNER).'" />'."\n";
		$str .= '		</a>'."\n";
		$str .= '	</li>'."\n";
		$str .= '	<li>'."\n";
		$str .= '		<a href="http://flash.coreblo.com" onclick="openNewWindow(\'http://flash.coreblo.com\',null);return false;">'."\n";
		$str .= '			<img src="'.SYSTEM_URL.'apl/image/common/bn/flag_bn.gif" alt="'.htmlspecialchars(Language::FLAG_BANNER).'" />'."\n";
		$str .= '		</a>'."\n";
		$str .= '	</li>'."\n";
		$str .= '	<li>'."\n";
		$str .= '		<a href="http://www.maverica.co.jp" onclick="openNewWindow(\'http://www.maverica.co.jp\',null);return false;">'."\n";
		$str .= '			<img src="'.SYSTEM_URL.'apl/image/common/bn/mav_bn.gif" alt="'.htmlspecialchars(Language::MAVERICA_BANNER).'" />'."\n";
		$str .= '		</a>'."\n";
		$str .= '	</li>'."\n";
		$str .= '</ul>'."\n";

		return $str;
	}

}
?>