<?

/**
 * データアクセス基底クラス(MySQL用)
 *
 */
class DataAccessBase {
	/**
	 * DBコネクション
	 * @var unknown_type
	 */
	protected static $dbConn = null;

	/**
	 * 操作ユーザー名
	 * @var string
	 */
	protected $userName = '';

	/**
	 * 利用可能かチェックする
	 * @param $settingList [in] 設定に必要なパラメータリスト
	 * @return bool 可否
	 */
	static function checkSetting($settingList) {
		$dbConn = mysql_connect($settingList['dbServer'], $settingList['dbUserName'], $settingList['dbPassword']);
		if($dbConn === FALSE) {
			return false;
		}

		if(!mysql_select_db($settingList['dbName'], $dbConn)) {
			return false;
		}

		//すでに利用されているDBかをチェック
		$res = mysql_query('SHOW TABLES;', $dbConn);
		if($res ===FALSE) {
			return false;
		}

		return (mysql_num_rows($res) === 0);
	}

	/**
	 * コンストラクタ
	 *
	 * @param unknown_type $dbConn [in] DBコネクション
	 * @param string $userName [in] 操作ユーザー名
	 * @return DataAccessBase
	 */
	function DataAccessBase($userName) {
		if(is_null(self::$dbConn)) {
			$dbConn = mysql_connect(Config::DB_SERVER, Config::DB_USER_NAME, Config::DB_PASSWORD);
			if($dbConn !== FALSE) {
				if(mysql_select_db(Config::DB_NAME, $dbConn)) {
					self::$dbConn = $dbConn;
				}
			}
		}

		$this->userName = $userName;
	}

	/**
	 * 文字列をエスケープしてシングルクォートでくくる
	 *
	 * @param string $str [in] 文字列
	 * @return string 変換後文字列
	 */
	protected function dbStr($str) {
		return "'" . mysql_real_escape_string($str) . "'";
	}

	/**
	 * 文字列をエスケープしてシングルクォートでくくる。文字がない場合は[NULL]を返す
	 *
	 * @param string $str [in] 文字列
	 * @return string 変換後文字列
	 */
	protected function dbStrNull($str) {
		if(strval($str) === ''){
			return 'NULL';
		} else{
			return $this->dbStr($str);
		}
	}
}
?>