<?php
require_once dirname(__FILE__).'/../../text_xml.php';

class TextXml extends DataAccessBase {

	/**
	 * テキスト一覧取得
	 * @param $domainId [in] ドメインID
	 * @param $isAll  [in] 子ノードも処理するかどうか
	 * @return array TextXmlInfo配列
	 */
	function &getList($domainId, $isAll = false) {
		$list = array();

		$sql  = 'SELECT * FROM text_data';
		$sql .= ' WHERE domain_id='.intval($domainId);
		$sql .= ' ORDER BY number ASC, text_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return $list;
		}

		while($row = mysql_fetch_array($res, MYSQL_ASSOC)) {
			$info = new TextXmlInfo();
			$info->textId = intval($row['text_id']);
			$info->number = intval($row['number']);
			$info->name = $row['name'];

			$info->width = intval($row['width']);
			$info->height = intval($row['height']);
			$info->bgColor = $row['bg_color'];
			$info->bgAlpha = intval($row['bg_alpha']);
			$info->fileType = intval($row['file_type']);
			$info->fileUrl = $row['file_url'];
			$info->isWordWrap = (intval($row['is_word_wrap'])===1);
			$info->fontType = intval($row['font_type']);
			$info->textFontSize = intval($row['text_font_size']);
			$info->textColor = $row['text_color'];
			$info->textIsDisplayShadow = (intval($row['text_is_display_shadow'])===1);
			$info->textShadowColor = $row['text_shadow_color'];
			$info->verticalSchlollIsDisplay = (intval($row['vertical_is_display'])===1);
			$info->verticalSchlollFaceColor = $row['vertical_face_color'];
			$info->verticalSchlollArrowColor = $row['vertical_arrow_color'];
			$info->verticalSchlollTrackColor = $row['vertical_track_color'];
			$info->verticalSchlollInsideHighlightColor = $row['vertical_inside_light_color'];
			$info->verticalSchlollInsideShadowColor = $row['vertical_inside_shadow_color'];
			$info->verticalSchlollOutsideHighlightColor = $row['vertical_outside_light_color'];
			$info->verticalSchlollOutsideShadowColor = $row['vertical_outside_shadow_color'];
			$info->horizonSchlollIsDisplay = (intval($row['horizon_is_display'])===1);
			$info->horizonSchlollFaceColor = $row['horizon_face_color'];
			$info->horizonSchlollArrowColor = $row['horizon_arrow_color'];
			$info->horizonSchlollTrackColor = $row['horizon_track_color'];
			$info->horizonSchlollInsideHighlightColor = $row['horizon_inside_light_color'];
			$info->horizonSchlollInsideShadowColor = $row['horizon_inside_shadow_color'];
			$info->horizonSchlollOutsideHighlightColor = $row['horizon_outside_light_color'];
			$info->horizonSchlollOutsideShadowColor = $row['horizon_outside_shadow_color'];
			$info->textData = $row['text_data'];

			$list[] = $info;
		}

		return $list;
	}

	/**
	 * text_dataを取得する
	 * @param $domainId [in] ドメインID
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return FlagXmlInfo
	 */
	function &get($domainId, $textId, $isAll = false) {
		$info = new TextXmlInfo();

		$sql  = 'SELECT * FROM text_data';
		$sql .= ' WHERE domain_id='.intval($domainId).' AND text_id='.intval($textId);
		$sql .= ' ORDER BY number ASC, text_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info->textId = intval($row['text_id']);
		$info->number = intval($row['number']);
		$info->name = $row['name'];

		$info->width = intval($row['width']);
		$info->height = intval($row['height']);
		$info->bgColor = $row['bg_color'];
		$info->bgAlpha = intval($row['bg_alpha']);
		$info->fileType = intval($row['file_type']);
		$info->fileUrl = $row['file_url'];
		$info->isWordWrap = (intval($row['is_word_wrap'])===1);
		$info->fontType = intval($row['font_type']);
		$info->textFontSize = intval($row['text_font_size']);
		$info->textColor = $row['text_color'];
		$info->textIsDisplayShadow = (intval($row['text_is_display_shadow'])===1);
		$info->textShadowColor = $row['text_shadow_color'];
		$info->verticalSchlollIsDisplay = (intval($row['vertical_is_display'])===1);
		$info->verticalSchlollFaceColor = $row['vertical_face_color'];
		$info->verticalSchlollArrowColor = $row['vertical_arrow_color'];
		$info->verticalSchlollTrackColor = $row['vertical_track_color'];
		$info->verticalSchlollInsideHighlightColor = $row['vertical_inside_light_color'];
		$info->verticalSchlollInsideShadowColor = $row['vertical_inside_shadow_color'];
		$info->verticalSchlollOutsideHighlightColor = $row['vertical_outside_light_color'];
		$info->verticalSchlollOutsideShadowColor = $row['vertical_outside_shadow_color'];
		$info->horizonSchlollIsDisplay = (intval($row['horizon_is_display'])===1);
		$info->horizonSchlollFaceColor = $row['horizon_face_color'];
		$info->horizonSchlollArrowColor = $row['horizon_arrow_color'];
		$info->horizonSchlollTrackColor = $row['horizon_track_color'];
		$info->horizonSchlollInsideHighlightColor = $row['horizon_inside_light_color'];
		$info->horizonSchlollInsideShadowColor = $row['horizon_inside_shadow_color'];
		$info->horizonSchlollOutsideHighlightColor = $row['horizon_outside_light_color'];
		$info->horizonSchlollOutsideShadowColor = $row['horizon_outside_shadow_color'];
		$info->textData = $row['text_data'];

		return $info;
	}

	/**
	 * text_dataにデータを設定する
	 * すべて書き換える場合、先にdeleteする必要がある。
	 * @param $domainId [in] ドメインID
	 * @param $info [in] FlagXmlInfo
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info, $isAll = false) {
		if($info->textId > 0) {
			if(!$this->_update($domainId, $info)) {
				return false;
			}
			$textId = $info->textId;
		} else {
			if(!$this->_insert($domainId, $info)) {
				return false;
			}
			$textId = mysql_insert_id(self::$dbConn);
		}
		return true;
	}

	private function _insert($domainId, $info) {
		$columns  = ' domain_id';
		$values   = ' '.intval($domainId);
		$columns .= ',number';
		$values  .= ','.intval($info->number);
		$columns .= ',name';
		$values  .= ','.$this->dbStr($info->name);

		$columns .= ',width';
		$values  .= ','.intval($info->width);
		$columns .= ',height';
		$values  .= ','.intval($info->height);
		$columns .= ',bg_color';
		$values  .= ','.$this->dbStr($info->bgColor);
		$columns .= ',bg_alpha';
		$values  .= ','.intval($info->bgAlpha);
		$columns .= ',file_type';
		$values  .= ','.intval($info->fileType);
		$columns .= ',file_url';
		$values  .= ','.$this->dbStr($info->fileUrl);
		$columns .= ',is_word_wrap';
		$values  .= ','.($info->isWordWrap?1:0);
		$columns .= ',font_type';
		$values  .= ','.intval($info->fontType);
		$columns .= ',text_font_size';
		$values  .= ','.intval($info->textFontSize);
		$columns .= ',text_color';
		$values  .= ','.$this->dbStr($info->textColor);
		$columns .= ',text_is_display_shadow';
		$values  .= ','.($info->textIsDisplayShadow?1:0);
		$columns .= ',text_shadow_color';
		$values  .= ','.$this->dbStr($info->textShadowColor);
		$columns .= ',vertical_is_display';
		$values  .= ','.($info->verticalSchlollIsDisplay?1:0);
		$columns .= ',vertical_face_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollFaceColor);
		$columns .= ',vertical_arrow_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollArrowColor);
		$columns .= ',vertical_track_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollTrackColor);
		$columns .= ',vertical_inside_light_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollInsideHighlightColor);
		$columns .= ',vertical_inside_shadow_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollInsideShadowColor);
		$columns .= ',vertical_outside_light_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollOutsideHighlightColor);
		$columns .= ',vertical_outside_shadow_color';
		$values  .= ','.$this->dbStr($info->verticalSchlollOutsideShadowColor);
		$columns .= ',horizon_is_display';
		$values  .= ','.($info->horizonSchlollIsDisplay?1:0);
		$columns .= ',horizon_face_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollFaceColor);
		$columns .= ',horizon_arrow_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollArrowColor);
		$columns .= ',horizon_track_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollTrackColor);
		$columns .= ',horizon_inside_light_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollInsideHighlightColor);
		$columns .= ',horizon_inside_shadow_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollInsideShadowColor);
		$columns .= ',horizon_outside_light_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollOutsideHighlightColor);
		$columns .= ',horizon_outside_shadow_color';
		$values  .= ','.$this->dbStr($info->horizonSchlollOutsideShadowColor);
		$columns .= ',text_data';
		$values  .= ','.$this->dbStr($info->textData);

		$sql = 'INSERT INTO text_data ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _update($domainId, $info) {
		$setval  = ' name='.$this->dbStr($info->name);
		$setval .= ',width='.intval($info->width);
		$setval .= ',height='.intval($info->height);
		$setval .= ',bg_color='.$this->dbStr($info->bgColor);
		$setval .= ',bg_alpha='.intval($info->bgAlpha);
		$setval .= ',file_type='.intval($info->fileType);
		$setval .= ',file_url='.$this->dbStr($info->fileUrl);
		$setval .= ',is_word_wrap='.($info->isWordWrap?1:0);
		$setval .= ',font_type='.intval($info->fontType);
		$setval .= ',text_font_size='.intval($info->textFontSize);
		$setval .= ',text_color='.$this->dbStr($info->textColor);
		$setval .= ',text_is_display_shadow='.($info->textIsDisplayShadow?1:0);
		$setval .= ',text_shadow_color='.$this->dbStr($info->textShadowColor);
		$setval .= ',vertical_is_display='.($info->verticalSchlollIsDisplay?1:0);
		$setval .= ',vertical_face_color='.$this->dbStr($info->verticalSchlollFaceColor);
		$setval .= ',vertical_arrow_color='.$this->dbStr($info->verticalSchlollArrowColor);
		$setval .= ',vertical_track_color='.$this->dbStr($info->verticalSchlollTrackColor);
		$setval .= ',vertical_inside_light_color='.$this->dbStr($info->verticalSchlollInsideHighlightColor);
		$setval .= ',vertical_inside_shadow_color='.$this->dbStr($info->verticalSchlollInsideShadowColor);
		$setval .= ',vertical_outside_light_color='.$this->dbStr($info->verticalSchlollOutsideHighlightColor);
		$setval .= ',vertical_outside_shadow_color='.$this->dbStr($info->verticalSchlollOutsideShadowColor);
		$setval .= ',horizon_is_display='.($info->horizonSchlollIsDisplay?1:0);
		$setval .= ',horizon_face_color='.$this->dbStr($info->horizonSchlollFaceColor);
		$setval .= ',horizon_arrow_color='.$this->dbStr($info->horizonSchlollArrowColor);
		$setval .= ',horizon_track_color='.$this->dbStr($info->horizonSchlollTrackColor);
		$setval .= ',horizon_inside_light_color='.$this->dbStr($info->horizonSchlollInsideHighlightColor);
		$setval .= ',horizon_inside_shadow_color='.$this->dbStr($info->horizonSchlollInsideShadowColor);
		$setval .= ',horizon_outside_light_color='.$this->dbStr($info->horizonSchlollOutsideHighlightColor);
		$setval .= ',horizon_outside_shadow_color='.$this->dbStr($info->horizonSchlollOutsideShadowColor);
		$setval .= ',text_data='.$this->dbStr($info->textData);

		$sql = 'UPDATE text_data SET '.$setval.' WHERE domain_id='.intval($domainId).' AND text_id='.intval($info->textId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}


	/**
	 * 全削除
	 * @param $domainId [in] ドメインID
	 * @return bool 成功/失敗
	 */
	function deleteAll($domainId) {
		$sql = 'DELETE FROM text_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * テキスト番号の最大値取得
	 * @param $domainId [in] ドメイン番号
	 * @return intval テキスト番号最大値
	 */
	function getMaxNumber($domainId) {
		$sql = 'SELECT MAX(number) as max_val FROM text_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return 0;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		return intval($row['max_val']);
	}

	/**
	 * 削除
	 * @param $domainId [in] ドメインID
	 * @param $textId [in] テキストID
	 * @return bool 成功/失敗
	 */
	function delete($domainId, $textId) {
		$sql = 'DELETE FROM text_data WHERE domain_id='.intval($domainId).' AND text_id='.intval($textId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

}