<?php
class SystemInfo extends DataAccessBase {

	/**
	 * バージョン取得
	 * @return string バージョン文字列
	 */
	function getVersion() {

		$sql = 'SELECT version FROM system_info WHERE info_id=1';
		$res = pg_query(self::$dbConn, $sql);
		if($res ===FALSE || pg_num_rows($res) !== 1) {
			return '';
		}

		$row = pg_fetch_array($res, 0, PGSQL_ASSOC);
		return $row['version'];
	}

	/**
	 * バージョン更新
	 * @param $version [in] バージョン文字列
	 * @return bool 成功/失敗
	 */
	function setVersio($version) {
		$setval  =  'version='.$this->dbStr($version);
		$sql = 'UPDATE system_info SET '.$setval.' WHERE info_id=1';
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}
}
?>