<?php
class Setup_0_0_1_B3 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE slider_data ADD COLUMN sort_type INT2;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [slider_data]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "UPDATE slider_data SET sort_type=0 WHERE sort_type IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [slider_data]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE slider_data
        ALTER COLUMN  sort_type SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [slider_data]';
		}

		return $msg;
	}
}
?>