<?php
class Setup_0_9_8 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
CREATE TABLE text_data (
       text_id SERIAL NOT NULL
     , domain_id INTEGER NOT NULL
     , number INTEGER NOT NULL
     , name VARCHAR(30) NOT NULL
     , width INTEGER NOT NULL
     , height INTEGER NOT NULL
     , bg_color VARCHAR(6) NOT NULL
     , bg_alpha INT2 NOT NULL
     , file_type INT2 NOT NULL
     , file_url TEXT NOT NULL
     , is_word_wrap INT2 NOT NULL
     , font_type INT2 NOT NULL
     , text_font_size INT2 NOT NULL
     , text_color VARCHAR(6) NOT NULL
     , text_is_display_shadow INT2 NOT NULL
     , text_shadow_color VARCHAR(6) NOT NULL
     , vertical_is_display INT2 NOT NULL
     , vertical_face_color VARCHAR(6) NOT NULL
     , vertical_arrow_color VARCHAR(6) NOT NULL
     , vertical_track_color VARCHAR(6) NOT NULL
     , vertical_inside_light_color VARCHAR(6) NOT NULL
     , vertical_inside_shadow_color VARCHAR(6) NOT NULL
     , vertical_outside_light_color VARCHAR(6) NOT NULL
     , vertical_outside_shadow_color VARCHAR(6) NOT NULL
     , horizon_is_display INT2 NOT NULL
     , horizon_face_color VARCHAR(6) NOT NULL
     , horizon_arrow_color VARCHAR(6) NOT NULL
     , horizon_track_color VARCHAR(6) NOT NULL
     , horizon_inside_light_color VARCHAR(6) NOT NULL
     , horizon_inside_shadow_color VARCHAR(6) NOT NULL
     , horizon_outside_light_color VARCHAR(6) NOT NULL
     , horizon_outside_shadow_color VARCHAR(6) NOT NULL
     , PRIMARY KEY (text_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [text_data]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';
		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER TABLE text_data
  ADD CONSTRAINT FK_text_data_1
      FOREIGN KEY (domain_id)
      REFERENCES domain (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [text_data]';
		}

		return $msg;
	}
}
?>