<?php
class Setup_0_0_1_B1 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$nowTimeStr = date('Y/m/d H:i:s');

		require_once dirname(__FILE__).'/../../../util/file.php';
		if(file_exists(Config::TEXT_DATA_PATH.'system_info.xml')) {
			$msg .= 'already exist [system_info]';
		} else {
			$outputStr = <<<_END_OF_STR_
<?xml version="1.0" encoding="UTF-8"?>
<SystemInfo>
	<Version>0.0.1.B1</Version>
	<FlashVersion>coreblo FLAG Beta</FlashVersion>
</SystemInfo>
_END_OF_STR_;
			if(FileUtil::writeFileStr(Config::TEXT_DATA_PATH.'system_info.xml', $outputStr) !== 0) {
				$msg .= 'create error [system_info]';
			}
		}

		if(file_exists(Config::TEXT_DATA_PATH.'account.xml')) {
			$msg .= 'already exist [account]';
		} else {
			$outputStr = <<<_END_OF_STR_
<?xml version="1.0" encoding="UTF-8"?>
<Accunt>
	<AccountData id="1">
		<UserId>admin</UserId>
		<Password />
		<DispName>管理者</DispName>
		<Memo />
		<AuthorityLevel>1</AuthorityLevel>
		<DomainId>0</DomainId>
		<RegistDate>$nowTimeStr</RegistDate>
		<UpdateDate>$nowTimeStr</UpdateDate>
		<LastLogin />
		<RegistUser>管理者</RegistUser>
		<UpdateUser>管理者</UpdateUser>
	</AccountData>
</Accunt>
_END_OF_STR_;
			if(FileUtil::writeFileStr(Config::TEXT_DATA_PATH.'account.xml', $outputStr) !== 0) {
				$msg .= 'create error [account]';
			}
		}

		if(file_exists(Config::TEXT_DATA_PATH.'domain.xml')) {
			$msg .= 'already exist [domain]';
		} else {
			$outputStr = <<<_END_OF_STR_
<?xml version="1.0" encoding="UTF-8"?>
<Domain>
</Domain>
_END_OF_STR_;
			if(FileUtil::writeFileStr(Config::TEXT_DATA_PATH.'domain.xml', $outputStr) !== 0) {
				$msg .= 'create error [domain]';
			}
		}
		return $msg;
	}
	function updateData() {
		$msg = '';
		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';
		return $msg;
	}
}
?>