<?php
class TextHtmlUtil {
	/**
	 * 詳細モードテキストモジュール設定タイトル箇所定義タグ
	 */
	static function mode2Text() {
		$systemUrl = SYSTEM_URL.'apl/';

		$str  = '<h4 class="h4_mode2_ti07" title="'.htmlspecialchars(Language::TEXT_DETAIL_SETTING).'"><span class="dis_none">'.htmlspecialchars(Language::TEXT_DETAIL_SETTING).'</span></h4>'."\n";
		$str .= '<p class="help_guide"><a href="javascript:void(0);" onclick="onPopupFrame(\'popup_window\', \'popup_bg\', \'frame_area\', \''.htmlspecialchars(UrlListBase::TEXT_SETTING).'\');" class="help_guide_ic">'.htmlspecialchars(Language::WHAT_S_TEXT_SETTING).'</a></p>'."\n";

		$str .= HtmlUtil::tagPopupArea();

		return $str;

	}

	/**
	 * テキストメニュータグ
	 * @param $nowType [in] 選択中メニュー番号
	 * @return string タグ文字列
	 */
	static function tagTextMenu($nowType) {
		$str  = '<div class="tab_menu">'."\n";
		$str .= '	<ul>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'list.php\');return false;"'.($nowType === 1?' class="crt"':'').'>'.htmlspecialchars(Language::BASE_SETTING).'</a></li>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'format.php\');return false;"'.($nowType === 2?' class="crt"':'').'>'.htmlspecialchars(Language::FORMAT_SETTING).'</a></li>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'scrollbar.php\');return false;"'.($nowType === 3?' class="crt"':'').'>'.htmlspecialchars(Language::SCROLLBAR_SETTING).'</a></li>'."\n";
		$str .= '	</ul>'."\n";
		$str .= '</div>'."\n";

		return $str;
	}

	/**
	 * テキスト一覧タグ
	 * @param $textList [in] テキスト一覧
	 * @param $selectTextId [in] 選択中テキストID
	 * @return string タグ文字列
	 */
	static function &tagTextList($textList, $selectTextId) {
		$str = '';
		$listLength = count($textList);
		if($listLength > 0) {
			$cnt = 1;
			foreach($textList as $textInfo) {
				$dispStr = ($textInfo->name===''?'no name':$textInfo->name);
						$str .= '						<div class="';
					if($listLength > $cnt) {
						$str .= 'tree_mst';
					} else {
						$str .= 'tree_mse';
					}
					$str .= '"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb">'.$textInfo->number.'</span>';
				if($textInfo->textId === $selectTextId) {
					$str .= htmlspecialchars($dispStr);
				} else {
					$str .= '					<a href="list.php?TextId='.$textInfo->textId.'">'.htmlspecialchars($dispStr).'</a>';
				}
				$str .= '</p></div></div>'."\n";
				$cnt++;
			}
		} else {
			$str .= '<p class="save_message">'.htmlspecialchars(Language::NOT_REGIST).'</p>';
		}
		return $str;
	}
}
?>