function getTargetItemList(parentTypeId,noRegistMsg) {

	changeDisplay('SaveButton', false);

	var dispArea = document.getElementById('SelectArea');
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', '../detail/get_targetlist_exec.php?parent='+parentTypeId+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('SelectArea');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {

						var output = '';
						var itemList = xml.getElementsByTagName('item');
						if(itemList.length > 0) {
							output += '<select name="NewDispNo" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">';
							for(var cnt = 0; cnt < itemList.length; cnt++) {
								var dispNo = Number(itemList[cnt].getAttribute("no"));
								output += '<option value="'+dispNo+'">('+dispNo+')'+itemList[cnt].firstChild.nodeValue+"<\/option>";
							}
							output += "<\/select>";
						} else {
							output = "<div>"+noRegistMsg+"<\/div>";
						}
						dispArea.innerHTML = output;
						changeDisplay('SaveButton', true);
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		};
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error:"+e.toString()+"<\/p>";
	}
}