<?php
	require_once 'inc/common.php';
	commonInit(false);

	$id = '';

	if(isset($_COOKIE['maverica_coreblo_flag_light_cms_user_id'])){
		$id = $_COOKIE['maverica_coreblo_flag_light_cms_user_id'];
		$idCheckStr = ' checked="checked"';
	} else {
		$id = '';
		$idCheckStr = '';
	}
	if(isset($_COOKIE['maverica_coreblo_flag_light_cms_site_id'])){
		$siteId = $_COOKIE['maverica_coreblo_flag_light_cms_site_id'];
		$siteIdCheckStr = ' checked="checked"';
	} else {
		$siteId = '';
		$siteIdCheckStr = '';
	}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
<script type="text/javascript" src="js/window.js"></script>
</head>

<body>
<form id="act" action="system/login.php" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
		<div class="caution_area">
			<div class="caution_detail_area">
				<p class="caution_title"><span>CAUTION</span></p>
<?php
	if(isset($_SESSION['Message']) && $_SESSION['Message'] !== '') {
?>
				<p class="caution_art"><?php echo htmlspecialchars($_SESSION['Message']);?></p>
<?php
		if(isset($_SESSION['ID'])) {
			$id = $_SESSION['ID'];
		}
	}
?>
				<p class="caution_txt">
					<?php echo htmlspecialchars(Language::LOGIN_CAUTION_MESSAGE);?><br />
					Ver.<?php echo Version::VERSION;?><br />
					<?php echo htmlspecialchars(Config::INSTALL_NAME);?>
				</p>
			</div>
		</div>
		<div class="login_area">
			<div class="login_area_table">
				<table summary="<?php echo htmlspecialchars(Language::TABLE_INPUT_LOGIN);?>">
					<tr>
						<th>USER ID</th>
						<td><input type="text" name="UserID" size="30" maxlength="250" value="<?echo htmlspecialchars($id);?>" class="txt wt_lg" onfocus="focusColor(this)" onblur="blurColor(this)" /></td>
					</tr>
					<tr>
						<th>PASSWORD</th>
						<td><input type="password" name="UserPass" size="30" maxlength="16" value="" class="txt wt_lg" onfocus="focusColor(this)" onblur="blurColor(this)" /></td>
					</tr>
					<tr>
						<th>SITE ID</th>
						<td><input type="text" name="domainDir" size="30" maxlength="250" value="<?echo htmlspecialchars($siteId);?>" class="txt wt_lg" onfocus="focusColor(this)" onblur="blurColor(this)" /></td>
					</tr>
						<tr>
						<td colspan="2" class="check_area"><input type="checkbox" name="svid" value="1" <?php echo $idCheckStr;?>/><?php echo htmlspecialchars(Language::SAVE_USER_ID);?><input type="checkbox" name="svsite" value="1"<?php echo $siteIdCheckStr;?> /><?php echo htmlspecialchars(Language::SAVE_SITE_ID);?></td>
					</tr>
				</table>
				<div class="login_bt"><input type="image" src="image/common/bt/login_bt.gif"  alt="<?php echo htmlspecialchars(Language::LOGIN);?>" value="<?php echo htmlspecialchars(Language::LOGIN);?>" /></div>
			</div>
		</div>
	</div>
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>