<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$status = 0;
	$result = Language::SUCCESS;
	$target = realpath(SYSTEM_USERS_PATH.$_GET['target']);
	$targetTopPaht = realpath(SYSTEM_USERS_PATH.sprintf('%03d/work', intval($_SESSION['DomainId'])));

	$nextPath = '';
	if(strpos($target, $targetTopPaht) === 0) {
		if(is_dir($target)) {
			$dh  = opendir($target);
			while (false !== ($pathName = readdir($dh))) {
				if($pathName != "." && $pathName != "..") {
					$deletePath = $target.'/'.$pathName;
					if(is_file($deletePath)) {
						if(!unlink($deletePath)) {
							$status = -1;
							$result = Language::MSG_DELETE_ERROR.'['.$pathName.']';
						}
					} else if(is_dir($deletePath)) {
						$nextPath = realpath($deletePath);
						break;
					}
				}
			}

			if($nextPath === '') {
				$nextPath = realpath($target.'/..');
				if($target === $targetTopPaht) {
					$status = 1;
				} else {
					if(!rmdir($target)) {
						$status = -1;
						$result = Language::MSG_DELETE_ERROR;
					}
				}
			}
		} else if(!file_exists($target)) {
			$status = 1;
		}

	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	$nextPath = substr($nextPath, strlen(realpath(SYSTEM_USERS_PATH)));

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<next>{$nextPath}</next>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>