<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$domainId = intval($_SESSION['DomainId']);
	$status = -1;	//エラー
	$result = Language::MSG_REGIST_ERROR;

	require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
	$flagXml = new FlagXml($_SESSION['UserName']);
	$xml = new FlagXmlInfo();
	if($flagXml->delete($domainId)) {
		$status = 0;
		$result = Language::SUCCESS;
	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	if($status === 0) {
		require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
		$partsList =& PartsInfo::getList();
		$targetPath = SYSTEM_USERS_PATH.sprintf('%03d/work/', $domainId);

		foreach($partsList as $partsType => $partsInfoList) {
			$tmpStr = ucfirst($partsType);
			require_once SYSTEM_INCLUDE_DATA_PATH.$partsType.'/'.$partsType.'_xml.php';
			eval('$xmlDb = new '.$tmpStr.'Xml($_SESSION[\'UserName\']);');

			$fileNameBase = str_replace('*', '%02d', $partsInfoList['xml']);
			$subFileNameBase = str_replace('*', '%02d', $partsInfoList['subfile']);
			$xmlList = $xmlDb->getList($domainId);
			foreach($xmlList as $xml) {
				$delFile = $targetPath.sprintf($fileNameBase, $xml->number);
				if(is_file($delFile)) {
					unlink($delFile);
				}
				$delFile = $targetPath.sprintf($subFileNameBase, $xml->number);
				if(is_file($delFile)) {
					unlink($delFile);
				}
			}

			if(!$xmlDb->deleteAll($domainId)) {
				$status = -1;	//エラー
				$result = Language::MSG_REGIST_ERROR;
				break;
			}
		}
	}

	if($status === 0) {
		//変更フラグオン
		require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
		$domain = new Domain($_SESSION['UserName']);
		if($domain->setNotOutput($_SESSION['DomainId'])) {
			$status = 0;
			$result = Language::SUCCESS;
		} else {
			$status = -1;	//エラー
			$result = Language::MSG_REGIST_ERROR;
		}
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>