<?php
function isUrl($url) {

	$headerList = get_headers($url.'?'.date('U'));

	if(preg_match("/OK$/", $headerList[0])) {
		return true;
	} else {
		return false;
	}

//	$info = parse_url($url);
//	if(empty($info['scheme'])) {
//		$info['scheme'] = 'http';
//	}
//	if(empty($info['host'])) {
//		$info['host'] = 'localhost';
//	}
//	if(empty($info['port'])) {
//		$info['port'] = 80;
//	}
//
//	$ret = false;
//	if($info['scheme'] === 'http') {
//		$res = fsockopen($info['host'], $info['port']);
//		if($res) {
//		    $request  = "HEAD ".$info['path']." HTTP/1.0\r\n";
//		    $request .= "Host: ".$info['host']."\r\n";
//		    $request .= "User-Agent: coreblo-FLAG/1.0\r\n";
//		    $request .= "\r\n";
//		    fputs($res, $request);
//		    if(stream_set_timeout($res, 5)) {
//		    	$isNotGet = true;
//		    	while(!feof($res)) {
//					if($isNotGet) {
//						$statusList = explode(' ', fgets($res, 4096));
//						if(substr($statusList[1], 0, 1) === '1' || substr($statusList[1], 0, 1) === '2') {
//							$ret = true;
//						}
//					}
//					break;
//		    	}
//		    }
//		    fclose($res);
//		}
//	}
//	return $ret;
}

require_once '../../inc/common.php';
commonDefine();
require_once dirname(__FILE__).'/../../inc/util/form_util.php';
require_once dirname(__FILE__).'/../../inc/base/language_base.php';
class Language extends LanguageBase{
	// 初回時はLaugage.phpが存在しないため。
}

if(is_file(dirname(__FILE__).'/../../../config/config.php')) {
	header('Location: ../../index.php');
} else {

	$installErrorMsg = '';
	if(version_compare(phpversion(),'5.0.0','<')) {
		$installErrorMsg = '本アプリケーションは、PHP5以降でのみ利用可能です。';
	} else if(!class_exists('DOMDocument')) {
		$installErrorMsg = 'PHPのXMLモジュールが利用できないため、本アプリケーションはインストールできません。';
	}

	if($installErrorMsg !== '') {

		$str = <<<_END_OF_STR_
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>インストール</title>
<meta name="copyright" content="インストール" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="stylesheet" href="../../css/detail/int_common.css" type="text/css" />
</head>
<body>
<form id="act" action="index.php" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><h1 class="head_logo" title="coreblo-FLAG LIGHT CMS"><span>coreblo-FLAG LIGHT CMS</span></h1></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<div class="caution_area">
		<div class="caution_detail_ins_area">
		<p class="caution_title"><span>CAUTION</span></p>
		<p class="caution_art">$installErrorMsg</p>
		</div>
	</div>

	</div>
	<div id="contents_footer"><img src="../../image/common/bg/int_main_bgb.gif" alt="フッター" /></div>
</div>
<div id="footer">
	<div class="copyright"><p>COPYRIGHT (C)2009 maverica corporation. ALL RIGHTS RESERVED.</p></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
_END_OF_STR_;
		echo $str;
	} else {

		require_once dirname(__FILE__).'/../../version.php';
		require_once dirname(__FILE__).'/../../inc/creater/config.php';
		$result = array();
		$message = '';
		$isInput = true;
		if(isset($_POST['mode']) && $_POST['mode'] === 'check') {

			$createConfig = new CreateConfig();
			$createConfig->installName = $_POST['installName'];
			$createConfig->dbServer = $_POST['dbServer'];
			$createConfig->dbName = $_POST['dbName'];
			$createConfig->dbUserName = $_POST['dbUserName'];
			$createConfig->dbPassword = $_POST['dbPassword'];
			$createConfig->upCgiUrl =  $_POST['upCgiUrl'];
			$createConfig->dataType =  $_POST['dataType'];
			$createConfig->textDataPath =  $_POST['textDataPath'];
			$createConfig->outPathDefault =  $_POST['outPathDefault'];

			$result = &$createConfig->check();

			if(!isUrl('http://'.$_SERVER['SERVER_NAME'].$createConfig->upCgiUrl.'up_file.cgi')) {
				$result['upCgiUrl'] = 'up_file.cgiの存在が確認できませんでした。';
			}
			if(!isUrl('http://'.$_SERVER['SERVER_NAME'].$createConfig->upCgiUrl.'template_up.cgi')) {
				$result['upCgiUrl'] = 'template_up.cgiの存在が確認できませんでした。';
			}

			if(count($result) === 0) {
				require_once dirname(__FILE__).'/../../inc/data/'.$createConfig->dataType.'/data_access.php';
				if(DataAccessBase::checkSetting($_POST)) {
					$isInput = false;
					require_once 'check.php';

				} else {
					$message = 'データベースにアクセスできないかすでに利用中です。設定を確認してください。';
				}
			}
		}
		if($isInput) {
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>インストール</title>
<meta name="copyright" content="インストール" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="stylesheet" href="../../css/detail/int_common.css" type="text/css" />
<script type="text/javascript" src="../../js/window.js"></script>
<script type="text/javascript"><!--
function dispDbInput(isDisp) {
	changeDisplay('dbConfigs', isDisp);
	changeDisplay('textDb', !isDisp);
}
function init() {
	dispDbInput(<?php echo ((empty($_POST['dataType'])||$_POST['dataType']!=='text')?'true':'false');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act" action="index.php" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><h1 class="head_logo" title="coreblo-FLAG LIGHT CMS"><span>coreblo-FLAG LIGHT CMS</span></h1></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<div class="caution_area">
		<div class="caution_detail_ins_area">
			<p class="caution_title"><span>CAUTION</span></p>
<?php
		if($message !== '') {
?>			<p class="caution_art"><?php echo $message;?></p>
<?php
		}
?>
			<p class="caution_txt">インストールを行います。設定情報を入力してください。</p>
			<p class="caution_txt">バージョン：<?php echo htmlspecialchars(Version::VERSION);?></p>
		</div>
	</div>
	<div class="login_area">
		<div class="login_area_ins_table">
			<table summary="インストール情報">
				<tr>
					<th>名称</th>
					<td><?php echo FormUtil::textbox('installName', '', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'installName');?></td>
				</tr>
					<tr>
					<th>DB種別</th>
					<td>
						<select name="dataType" onchange="dispDbInput(this.value != 'text');">
<?php
		$dataTypeList = CreateConfig::getDataTypeList();
		foreach($dataTypeList as $dataType) {
?>
							<?php echo FormUtil::option('dataType', $dataType,    'mysql', $dataType);?>
<?php
		}
?>
						</select>
					</td>
				</tr>
			</table>
		</div>
		<div id="dbConfigs" class="login_area_ins_table" style="display: none;">
			<table summary="DB情報">
				<tr>
					<th>接続先DBサーバー※</th>
					<td><?php echo FormUtil::textbox('dbServer', '', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'dbServer');?></td>
				</tr>
				<tr>
					<th>接続先DB名称※</th>
					<td><?php echo FormUtil::textbox('dbName', '', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'dbName');?></td>
				</tr>
				<tr>
					<th>DBユーザーID</th>
					<td><?php echo FormUtil::textbox('dbUserName', '', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'dbUserName');?></td>
				</tr>
				<tr>
					<th>DBパスワード</th>
					<td><?php echo FormUtil::textbox('dbPassword', '', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'dbPassword');?></td>
				</tr>
			</table>
		</div>

		<div id="textDb" class="login_area_ins_table" style="display: none;">
			<table summary="テキストDB情報">
				<tr>
					<th>テキストDBデータ格納パス※</th>
					<td><?php echo FormUtil::textbox('textDataPath', '', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'textDataPath');?></td>
				</tr>
			</table>
		</div>

		<div class="login_area_ins_table">
			<table summary="パス情報">
				<tr>
					<th>ファイルアップロードCGI格納先URL</th>
					<td><?php echo htmlspecialchars('http://'.$_SERVER['SERVER_NAME']).FormUtil::textbox('upCgiUrl', '/cgi-bin/', 35, 250, 'txt wt_50').FormUtil::getErrorStr($result, 'upCgiUrl');?></td>
				</tr>
				<tr>
					<th>出力先初期値</th>
					<td><?php echo FormUtil::textbox('outPathDefault', realpath(dirname(__FILE__).'/../../..').'/', 35, 250, 'txt wt_100').FormUtil::getErrorStr($result, 'outPathDefault');?></td>
				</tr>
			</table>
		</div>
		<div class="login_bt">
			<input type="hidden" name="mode" value="check" />
			<input type="submit" value="確認"/>
		</div>
	</div>
	</div>
	<div id="contents_footer"><img src="../../image/common/bg/int_main_bgb.gif" alt="フッター" /></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><p>COPYRIGHT (C)2009 maverica corporation. ALL RIGHTS RESERVED.</p></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html><?php
		}
	}
}
?>