<?
require_once '../../inc/common.php';
commonDefine();
require_once dirname(__FILE__).'/../../../config/language.php';

set_time_limit(0);
session_start();

if(empty($_SESSION['system_update']) || $_SESSION['system_update'] !== 'system_update') {
	header('HTTP/1.0 404 Not Found');
} else {

	$status = 0;
	$result = Language::SUCCESS;
	$version = $_GET['ver'];
	$nextVersion = '-';

	require_once dirname(__FILE__).'/../../version.php';
	$versionList =& Version::getVersionList();

	if(array_key_exists($version, $versionList)) {
		require_once dirname(__FILE__).'/../../../config/config.php';
		require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/data_access.php';
		require_once dirname(__FILE__).'/../../inc/system/setup/setup_base.php';

		$versionStr = str_replace('.', '_', $version);
		$setupFile = dirname(__FILE__).'/../../inc/system/setup/'.Config::DATA_TYPE.'/setup_'.strtolower($versionStr).'.php';
		if(is_file($setupFile)) {
			$updateResult = '';
			require_once $setupFile;
			eval('$setupInfo = new Setup_'.strtoupper($versionStr).'("");');
			$updateResult .= $setupInfo->updateDefine();
			$updateResult .= $setupInfo->updateData();
			$updateResult .= $setupInfo->updateKeyDefine();
			if($updateResult !== '') {
				$status = -1;
				$result = $updateResult;
			}

		} else {
			$result = Language::DATA_NOT_CHANGE;
		}

		if($versionList[$version] === '') {
			//終了
			$_SESSION['system_update'] = '';
			$status = 1;
			require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/system_info.php';
			$systemInfo = new SystemInfo('');
			if(!$systemInfo->setVersio($version)) {
				$result = Language::MSG_UPDATE_ERROR.'[Version]';
			}

		} else {
			$nextVersion = $versionList[$version];
		}

	} else {
		$status = -1;
		$result = Language::UNKNOWN_VERSION;
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<target>{$version}</target>
	<next>{$nextVersion}</next>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>