<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();
userInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
} else {

	$deleteDir = $_GET['id'];

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript" src="../js/http.js"></script>
<script type="text/javascript"><!--
function deletePath(dir, delDir) {
	var dispArea = document.getElementById('script_disp_area');
	dispArea.innerHTML = "<div>削除中です。しばらくお待ちください。<\/div><div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div>";
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'delete_template_exec.php?id='+dir+'&target='+delDir+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						switch (status) {
						case 0: //next
							var next = xml.getElementsByTagName('next')[0].firstChild.nodeValue;
							dispArea.innerHTML = "<div>削除中です。しばらくお待ちください。<\/div><div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div><div>"+next.substring(dir.length)+"<\/div>";
							var tid=setTimeout("deletePath('"+dir+"', '"+next+"')",<?php echo Config::SYSTEM_SCRIPT_REQUEST_TIME;?>);

							break;
						case 1: //end
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::FINISH);?><\/div><div><a href=\"index.php?type=users\">一覧へ戻る<\/a><\/div>";
							break;

						default: //error
							var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
						dispArea.innerHTML = "<p class=\"caution_art\">Error.:"+result+"<\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}

function init() {
	deletePath('<?php echo htmlspecialchars($deleteDir);?>', '.');
}
window.onload = init;
--></script>
</head>

<body>
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(7, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
<div id="contents_inner">
	<h2 class="step4" title="<?php echo htmlspecialchars(Language::TITLE_STEP4);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP4);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_tmp_ti" title="<?php echo htmlspecialchars(Language::TITLE_TMP_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_TMP_EDIT);?></span></h3>
			<h4 class="h4_tmp_ti03" title="<?php echo htmlspecialchars(Language::ORG_TMP_DETAIL_SETTING );?>"><span class="dis_none"><?php echo htmlspecialchars(Language::ORG_TMP_DETAIL_SETTING );?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::TMP_EDIT_COMMENT1);?></p>



			<div id="script_disp_area"><p class="save_message">しばらくお待ちください。</p></div>

		</div>
		<div class="contents_inner_side_navi">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::BLOG_TMP_SETTING );?>"><a href="index.php?type=blog" class="tmp_side_blog"><span class="dis_none"><?php echo htmlspecialchars(Language::BLOG_TMP_SETTING );?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::HP_TMP_SETTING );?>"><a href="index.php?type=page" class="tmp_side_hp"><span class="dis_none"><?php echo htmlspecialchars(Language::HP_TMP_SETTING );?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::ORG_TMP_SETTING );?>"><a href="index.php?type=users" class="tmp_side_orga"><span class="dis_none"><?php echo htmlspecialchars(Language::ORG_TMP_SETTING );?></span></a></li>
		</ul>
		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</body>
</html>
<!-- InstanceEnd --><?php
}
?>