<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$status = 0;
	$result = Language::SUCCESS;
	$target = realpath(SYSTEM_USERS_PATH.sprintf('%03d/template/', intval($_SESSION['DomainId'])).$_GET['id'].'/'.$_GET['target']);
	$targetTopPaht = realpath(SYSTEM_USERS_PATH.sprintf('%03d/template/', intval($_SESSION['DomainId']))).'/'.$_GET['id'];

	$nextPath = '';
	if(strpos($target, $targetTopPaht) === 0 && is_dir($target)) {
		$dh  = opendir($target);
		while (false !== ($pathName = readdir($dh))) {
			if($pathName != "." && $pathName != "..") {
				$deletePath = $target.'/'.$pathName;
				if(is_file($deletePath)) {
					if(!unlink($deletePath)) {
						$status = -1;
						$result = Language::MSG_DELETE_ERROR.'['.$pathName.']';
					}
				} else if(is_dir($deletePath)) {
					$nextPath = realpath($deletePath);
				}
			}
		}

		if($nextPath === '') {
			$nextPath = realpath($target.'/..');
			if(rmdir($target)) {
				if($target === $targetTopPaht) {
					$status = 1;
				}
			} else {
				$status = -1;
				$result =  Language::MSG_DELETE_ERROR;
			}
		}

	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	if($nextPath === $targetTopPaht) {
		$nextPath = '.';
	} else {
		$nextPath = substr($nextPath, strlen(realpath($targetTopPaht)));
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<next>{$nextPath}</next>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>