<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$domainId = intval($_SESSION['DomainId']);
	$status = -1;	//エラー
	$result = Language::MSG_REGIST_ERROR;
	$selectTemplate = $_GET['id'];
	$srcPathBase = realpath(SYSTEM_PATH.'template/page');
	if(isset($_GET['type'])) {
		if($_GET['type'] === 'users') {
			$srcPathBase = realpath(SYSTEM_USERS_PATH.sprintf('%03d/template', intval($_SESSION['DomainId'])));
		} else if($_GET['type'] === 'blog') {
			$srcPathBase = realpath(SYSTEM_PATH.'template/blog');
		}
	}
	$srcPath = $srcPathBase.'/'.$selectTemplate.'/coreblo_flag.xml';

	if(is_file($srcPath)) {
		require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
		$flagXml = new FlagXml($_SESSION['UserName']);
		$xml = new FlagXmlInfo();
		if($xml->loadFile($srcPath)) {
			if($flagXml->delete(intval($_SESSION['DomainId']))) {
				if($flagXml->set(intval($_SESSION['DomainId']), $xml, true)) {
					$status = 0;
					$result = Language::SUCCESS;
				}
			}
		}
	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	if($status === 0) {
		require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
		$partsList =& PartsInfo::getList();
		$targetPath = SYSTEM_USERS_PATH.sprintf('%03d/work/', $domainId);

		foreach($partsList as $partsType => $partsInfoList) {
			$tmpStr = ucfirst($partsType);
			require_once SYSTEM_INCLUDE_DATA_PATH.$partsType.'/'.$partsType.'_xml.php';
			eval('$xmlDb = new '.$tmpStr.'Xml($_SESSION[\'UserName\']);');

			$fileNameBase = str_replace('*', '%02d', $partsInfoList['xml']);
			$subFileNameBase = str_replace('*', '%02d', $partsInfoList['subfile']);
			$xmlList = $xmlDb->getList($domainId);
			foreach($xmlList as $xml) {
				$delFile = $targetPath.sprintf($fileNameBase, $xml->number);
				if(is_file($delFile)) {
					unlink($delFile);
				}
				$delFile = $targetPath.sprintf($subFileNameBase, $xml->number);
				if(is_file($delFile)) {
					unlink($delFile);
				}
			}

			if($xmlDb->deleteAll(intval($_SESSION['DomainId']))) {
				$srcPattern = $srcPathBase.'/'.$selectTemplate.'/'.$partsInfoList['xml'];
				$numberFilterList = explode('*', $srcPattern, 2);
				$startPos = strlen($numberFilterList[0]);
				$ignoreLength = strlen($srcPattern)-1;

				$fileList = glob($srcPattern);

				foreach($fileList as $srcPath) {
					if(is_file($srcPath)) {

						$numberStr = substr($srcPath, $startPos, strlen($srcPath) - $ignoreLength );
						if(intval($numberStr) > 0) {
							eval('$xmlInfo = new '.$tmpStr.'XmlInfo();');
							if($xmlInfo->loadFile($srcPath)) {
								$xmlInfo->number = intval($numberStr);
								$subFile = $srcPathBase.'/'.$selectTemplate.'/'.sprintf($subFileNameBase, $xmlInfo->number);
								if($xmlInfo->loadSubFile($subFile)) {
									if(!$xmlDb->set(intval($_SESSION['DomainId']), $xmlInfo, true)) {
										$status = -1;	//エラー
										$result = Language::MSG_REGIST_ERROR;
										break;
									}
								} else {
									$status = -1;	//エラー
									$result = Language::MSG_REGIST_ERROR;
									break;
								}
							} else {
								$status = -1;	//エラー
								$result = Language::MSG_REGIST_ERROR;
								break;
							}
						}
					}
				}
			} else {
				$status = -1;	//エラー
				$result = Language::MSG_REGIST_ERROR;
				break;
			}
		}
	}

	if($status === 0) {
		//変更フラグオン
		require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
		$domain = new Domain($_SESSION['UserName']);
		if($domain->setNotOutput($_SESSION['DomainId'])) {
			$status = 0;
			$result = Language::SUCCESS;
		} else {
			$status = -1;	//エラー
			$result = Language::MSG_REGIST_ERROR;
		}
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>