<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId']) || !Config::IS_ARCIVE) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {
	$status = 0;
	$result = Language::SUCCESS;
	$targetDir = $_GET['id'];

	$userPath = SYSTEM_USERS_PATH.sprintf('%03d/', intval($_SESSION['DomainId']));
	$uploadFile = $userPath.'upfile.zip';
	$unpackPath = $userPath.'template/'.$targetDir;
	if(is_file($uploadFile)
	&& is_dir($unpackPath)) {
		exec('unzip '.$uploadFile.' -d '.$unpackPath);
		unlink($uploadFile);
		if(is_file($unpackPath.'/coreblo_flag.swf')) {
			unlink($unpackPath.'/coreblo_flag.swf');
		}
		if(is_file($unpackPath.'/coreblo_flag.html')) {
			unlink($unpackPath.'/coreblo_flag.html');
		}
	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>